apt-setup (1:0.157ubuntu3.2) jammy; urgency=medium

  [ Steve Langasek ]
  * Do not support setting up archive.canonical.com as a source; the partner
    archive is now obsolete.  LP: #1959343.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 03 Feb 2022 17:36:11 +0100

apt-setup (1:0.157ubuntu3.1) jammy; urgency=medium

  * apt-setup-verify,
    apt-setup-signed-release:
    - updated to fix tempfile use in code specific to ubuntu

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Nov 2021 17:25:31 +0100

apt-setup (1:0.157ubuntu3) jammy; urgency=medium

  [ Raphaël Hertzog ]
  * Replace deprecated tempfile with mktemp.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Nov 2021 15:03:27 +0100

apt-setup (1:0.157ubuntu2) groovy; urgency=medium

  * Add InRelease file support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 03 Jun 2020 12:28:01 +0100

apt-setup (1:0.157ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Set the mirror verification timeout to 30 seconds.
    - Adjust services-select for Ubuntu, removing volatile and adding
      partner (apt-setup/partner) and extras (apt-setup/extras).
    - Always disable the CD at the end of installation if any mirrors are
      present, even if it's a complete CD.
    - Pre-populate apt's lists directory with signed Release files for
      archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
      against downgrade attacks right from initial installation.
    - Run 'apt-get update' for all sources.list lines produced by a single
      generator in one go, and don't comment out sources.list lines if it
      fails.
    - Make the path to security updates configurable, as well as the host.
    - Remove restricted from cdrom entry if apt-setup/restricted is false.
    - Make sure apt-cdrom doesn't unmount the CD if cd_type ends with
      /single.
    - Enable all network sources, including security updates, even if the
      network is unconfigured.
    - Honour apt-setup/restricted, apt-setup/universe, and
      apt-setup/multiverse when writing -backports lines.
    - Run 'apt-get update', without downloading package lists or cleaning up
      old files, after moving the sources.list generated during base system
      installation back into place.
    - If OVERRIDE_LEAVE_CD_MOUNTED is set, don't unmount /cdrom; this is a
      bad idea in a live CD environment!
    - Enable backports by default now that we have NotAutomatic enabled and
      working.
    - Add Release files.
    - generators/50mirror.ubuntu: universe incorrectly mentions some software
      being unfree, which is not true. Remove that mention from the notice we
      write to sources.list. Patch from Dan Watkins. (LP: #1590358)
    - Allow setting apt-setup/enable-source-repositories=true to control
      deb-src entries.
    - Ship current Release and Release.gpg files.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 29 May 2020 01:00:41 +0100

apt-setup (1:0.157) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Estonian (et.po) by Kristjan Räts
  * Hebrew (he.po) by Yaron Shahrabani
  * Croatian (hr.po) by gogogogi
  * Korean (ko.po) by Changwoo Ryu
  * Dutch (nl.po) by Frans Spiesschaert
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Romanian (ro.po) by Andrei POPESCU
  * Tamil (ta.po) by Jeyanthinath MuthuRam

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 09 May 2020 23:37:46 +0200

apt-setup (1:0.156) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Estonian (et.po) by Mario
  * Galician (gl.po) by anonymous
  * Lithuanian (lt.po) by Tautvydas Zukauskas
  * Marathi (mr.po) by Prachi Joshi

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 07 Mar 2020 21:41:08 +0100

apt-setup (1:0.155) unstable; urgency=medium

  * Team upload.

  [ Samuel Thibault ]
  * generators/50mirror: unreleased does not support sources yet.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Esperanto (eo.po) by Felipe Castro
  * Hebrew (he.po) by Yaron Shahrabani
  * Croatian (hr.po) by Milo Ivir
  * Marathi (mr.po) by Prachi Joshi
  * Norwegian Bokmal (nb.po) by Petter Reinholdtsen
  * Punjabi (Gurmukhi) (pa.po) by Aman ALam
  * Serbian (sr.po) by Filipovic Dragan
  * Simplified Chinese (zh_CN.po) by 玉堂白鹤

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 28 Jan 2020 21:25:38 +0100

apt-setup (1:0.154) unstable; urgency=medium

  [ Holger Wansing ]
  * Update generation of apt sources lines for security (starting with
    bullseye, that changed from <dist>/updates to <dist>-security).
    Thanks to Philip Hands for the patch! (Closes: #935540, #942238)

 -- Cyril Brulebois <kibi@debian.org>  Thu, 28 Nov 2019 10:56:04 +0100

apt-setup (1:0.153) unstable; urgency=medium

  * Team upload.

  * Rephrase templates, to rename "CD"/"CD-ROM" into "installation media".

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Indonesian (id.po) by Andika Triwidada
  * Icelandic (is.po) by Sveinn í Felli
  * Portuguese (pt.po) by Miguel Figueiredo
  * Traditional Chinese (zh_TW.po) by Walter Cheuk

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 06 Oct 2019 20:49:39 +0200

apt-setup (1:0.152) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani

  [ Philip Hands ]
  * Update the Salsa CI config.

  [ Karsten Merker ]
  * Enable the "unreleased" suite for architectures in the Debian-Ports
    archive when configuring a network mirror.

 -- Karsten Merker <merker@debian.org>  Tue, 20 Aug 2019 23:28:43 +0200

apt-setup (1:0.151) unstable; urgency=medium

  [ Moritz Mühlenhoff ]
  * When preseeding a local repository via apt-setup/localX/repository,
    the repository key for Secure Apt needs to be configured with
    apt-setup/localX/key. This key used to be set up with apt-key, but
    its use is deprecated and apt's former dependency on gnupg has been
    demoted to a Suggests, rendering apt-key non-functional in d-i.
    Apply a patch by Lars Kollstedt (thanks!) which adds the repository
    key(s) to /etc/apt/trusted.gpg.d, following the approach used by
    pbuilder (Closes: #851774, #928931):
     - .asc suffix if the key file seems to be armoured ASCII (i.e. it
       contains a “-----BEGIN PGP PUBLIC KEY BLOCK-----” line);
     - .gpg suffix otherwise. Please note that only “GPG key public ring”
       are supported by APT, newer “keybox database” format isn't at the
       moment.

  [ Updated translations ]
  * Arabic (ar.po) by ButterflyOfFire
  * Hindi (hi.po) by KushagraKarira
  * Croatian (hr.po) by gogogogi

 -- Cyril Brulebois <kibi@debian.org>  Fri, 12 Jul 2019 10:49:08 +0200

apt-setup (1:0.150) unstable; urgency=medium

  * Team upload

  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927494)

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 28 May 2019 07:09:04 +0200

apt-setup (1:0.149) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Ukrainian (uk.po) by Anton Gladky

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 28 Mar 2019 22:21:19 +0100

apt-setup (1:0.148) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Punjabi (pa.po) by Aman ALam
  * Vietnamese (vi.po) by Trần Ngọc Quân

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 04 Mar 2019 23:09:07 +0100

apt-setup (1:0.147) unstable; urgency=medium

  [ Steve McIntyre ]
  * Tweak how media sets are used in generators/41cdset. Live and
    full_cd/single media already won't prompt for more media. Re-arrange
    to make all "bluray" media work the same way. Will help with Debian
    Edu standalone media without affecting other uses. Closes: #919982

 -- Steve McIntyre <93sam@debian.org>  Mon, 11 Feb 2019 17:11:49 +0000

apt-setup (1:0.146) unstable; urgency=medium

  * Team upload

  * Fix missing space and superfluous colon in templates file (and sync
    translations).

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Finnish (fi.po) by Juhani Numminen
  * Hebrew (he.po) by Yaron Shahrabani
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Traditional Chinese (zh_TW.po) by Louies

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 08 Feb 2019 17:22:44 +0100

apt-setup (1:0.145) unstable; urgency=medium

  * Team upload

  [ Holger Wansing ]
  * Remove trailing whitespaces from changelog file, to fix lintian tag.

  [ Updated translations ]
  * Persian (fa.po) by Nima Sahraneshin
  * Finnish (fi.po) by Juhani Numminen

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 10 Jan 2019 23:20:27 +0100

apt-setup (1:0.144) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Asturian (ast.po) by Xuacu Saturio
  * Latvian (lv.po) by Tranzistors
  * Marathi (mr.po) by Nayan Nakhare

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 30 Oct 2018 18:18:41 +0100

apt-setup (1:0.143) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Finnish (fi.po) by Juhani Numminen
  * French (fr.po) by Alban Vidal
  * Galician (gl.po) by mantinan
  * Hindi (hi.po) by Himanshu Awasthi

  [ Holger Wansing ]
  * Change deprecated Priority: extra into optional.

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 27 Sep 2018 17:36:02 +0200

apt-setup (1:0.142) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

  [ Updated translations ]
  * Finnish (fi.po)
  * Hebrew (he.po) by Yaron Shahrabani
  * Telugu (te.po) by Praveen Illa

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 10 Aug 2018 20:45:59 +0200

apt-setup (1:0.141ubuntu5) eoan; urgency=medium

  * Re-add i386 multiarch support, since i386 is not being dropped
    altogether.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 06 Aug 2019 18:21:11 -0700

apt-setup (1:0.141ubuntu4) eoan; urgency=medium

  * Don't enable i386 multiarch support on install, since Ubuntu is dropping
    i386 as an architecture.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Jun 2019 12:55:03 -0700

apt-setup (1:0.141ubuntu3) eoan; urgency=medium

  * Replace apt-key call by direct inclusion of trusted.gpg.d
    snippets. LP: #1754075

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 08 May 2019 14:40:39 +0100

apt-setup (1:0.141ubuntu2) cosmic; urgency=medium

  * Restore execute bits on generators/91security and
    finish-install.d/10apt-cdrom-setup.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 20 Aug 2018 21:58:36 +1200

apt-setup (1:0.141ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Set the mirror verification timeout to 30 seconds.
    - Adjust services-select for Ubuntu, removing volatile and adding
      partner (apt-setup/partner) and extras (apt-setup/extras).
    - Always disable the CD at the end of installation if any mirrors are
      present, even if it's a complete CD.
    - Pre-populate apt's lists directory with signed Release files for
      archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
      against downgrade attacks right from initial installation.
    - Run 'apt-get update' for all sources.list lines produced by a single
      generator in one go, and don't comment out sources.list lines if it
      fails.
    - Make the path to security updates configurable, as well as the host.
    - Remove restricted from cdrom entry if apt-setup/restricted is false.
    - Make sure apt-cdrom doesn't unmount the CD if cd_type ends with
      /single.
    - Enable all network sources, including security updates, even if the
      network is unconfigured.
    - Honour apt-setup/restricted, apt-setup/universe, and
      apt-setup/multiverse when writing -backports lines.
    - Run 'apt-get update', without downloading package lists or cleaning up
      old files, after moving the sources.list generated during base system
      installation back into place.
    - If OVERRIDE_LEAVE_CD_MOUNTED is set, don't unmount /cdrom; this is a
      bad idea in a live CD environment!
    - Enable backports by default now that we have NotAutomatic enabled and
      working.
    - Add Release files.
    - generators/50mirror.ubuntu: universe incorrectly mentions some software
      being unfree, which is not true. Remove that mention from the notice we
      write to sources.list. Patch from Dan Watkins. (LP: #1590358)
    - Allow setting apt-setup/enable-source-repositories=true to control
      deb-src entries.
  * Replace xenial Release and Release.gpg files with those for cosmic.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 18 May 2018 23:09:32 -0400

apt-setup (1:0.141) unstable; urgency=medium

  [ Updated translations ]
  * Welsh (cy.po) by Huw Waters
  * Indonesian (id.po) by Andika Triwidada

 -- Christian Perrier <bubulle@debian.org>  Thu, 22 Mar 2018 12:14:40 +0100

apt-setup (1:0.140) unstable; urgency=medium

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani
  * Indonesian (id.po) by Al Qalit
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sat, 10 Feb 2018 16:49:19 +0100

apt-setup (1:0.139) unstable; urgency=medium

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Mon, 05 Feb 2018 06:48:13 +0100

apt-setup (1:0.138) unstable; urgency=medium

  [ Updated translations ]
  * Norwegian Nynorsk (nn.po) by Petter Reinholdtsen
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Mon, 29 Jan 2018 19:46:17 +0100

apt-setup (1:0.137) unstable; urgency=medium

  [ Steve McIntyre ]
  * If installing from a single-desktop single CD image, comment it out
    from sources.list after installation like we do with the netinst
    images.
  * When commenting sources like this, add a helpful comment in
    sources.list too.

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Jan 2018 07:56:21 +0100

apt-setup (1:0.135) unstable; urgency=medium

  [ Updated translations ]
  * Panjabi (pa.po) by Aman ALam
  * Serbian (sr.po) by Filipovic Dragan

 -- Christian Perrier <bubulle@debian.org>  Fri, 12 Jan 2018 06:22:05 +0100

apt-setup (1:0.134) unstable; urgency=medium

  [ Updated translations ]
  * Nepali (ne.po) by Jeewal Kunwar

 -- Christian Perrier <bubulle@debian.org>  Wed, 27 Dec 2017 08:37:37 +0100

apt-setup (1:0.133) unstable; urgency=medium

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * Swedish (sv.po) by Anders Jonsson

 -- Christian Perrier <bubulle@debian.org>  Fri, 08 Dec 2017 06:49:48 +0100

apt-setup (1:0.132) unstable; urgency=medium

  [ Updated translations ]
  * Lithuanian (lt.po) by Rimas Kudelis
  * Norwegian Nynorsk (nn.po) by Allan Nordhøy

 -- Christian Perrier <bubulle@debian.org>  Mon, 27 Nov 2017 07:40:54 +0100

apt-setup (1:0.131) unstable; urgency=medium

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Greek (el.po) by Sotirios Vrachas
  * Estonian (et.po) by Kristjan Räts
  * Swedish (sv.po) by Anders Jonsson

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Nov 2017 07:35:20 +0100

apt-setup (1:0.130) unstable; urgency=medium

  [ Updated translations ]
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Christian Perrier <bubulle@debian.org>  Tue, 17 Oct 2017 06:38:12 +0200

apt-setup (1:0.129) unstable; urgency=medium

  [ Updated translations ]
  * Greek (el.po) by Sotirios Vrachas
  * Albanian (sq.po) by Silva Arapi

 -- Christian Perrier <bubulle@debian.org>  Tue, 12 Sep 2017 06:40:21 +0200

apt-setup (1:0.128) unstable; urgency=medium

  [ Updated translations ]
  * Galician (gl.po) by Jorge Barreiro
  * Simplified Chinese (zh_CN.po) by Yangfl
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Tue, 20 Jun 2017 07:50:26 +0200

apt-setup (1:0.127) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Switch default hostname from ftp.debian.org to deb.debian.org in the
    following generators (Closes: #860472):
     - 92updates
     - 93backports

 -- Christian Perrier <bubulle@debian.org>  Fri, 21 Apr 2017 06:42:16 +0200

apt-setup (1:0.126) unstable; urgency=medium

  [ Updated translations ]
  * Italian (it.po) by Milo Casagrande

 -- Christian Perrier <bubulle@debian.org>  Sun, 19 Feb 2017 08:46:32 +0100

apt-setup (1:0.125) unstable; urgency=medium

  [ Updated translations ]
  * Korean (ko.po) by Changwoo Ryu

 -- Christian Perrier <bubulle@debian.org>  Mon, 13 Feb 2017 07:17:01 +0100

apt-setup (1:0.124) unstable; urgency=medium

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino Peña

 -- Christian Perrier <bubulle@debian.org>  Mon, 30 Jan 2017 19:03:46 +0100

apt-setup (1:0.123) unstable; urgency=medium

  [ Steve McIntyre ]
  * Tweak which images will offer to scan more discs
  * Add myself to uploaders.

 -- Steve McIntyre <93sam@debian.org>  Wed, 21 Dec 2016 16:29:39 +0000

apt-setup (1:0.122) unstable; urgency=medium

  [ Updated translations ]
  * Kazakh (kk.po) by Baurzhan Muftakhidinov

 -- Christian Perrier <bubulle@debian.org>  Tue, 22 Nov 2016 07:40:44 +0100

apt-setup (1:0.121) unstable; urgency=medium

  [ Updated translations ]
  * Polish (pl.po) by Michał Kułach

 -- Christian Perrier <bubulle@debian.org>  Sun, 09 Oct 2016 07:43:45 +0200

apt-setup (1:0.120) unstable; urgency=medium

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

 -- Christian Perrier <bubulle@debian.org>  Wed, 21 Sep 2016 07:56:40 +0200

apt-setup (1:0.119) unstable; urgency=medium

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

 -- Christian Perrier <bubulle@debian.org>  Sun, 18 Sep 2016 08:30:35 +0200

apt-setup (1:0.118) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Jul 2016 11:31:11 +0200

apt-setup (1:0.117) unstable; urgency=medium

  [ Updated translations ]
  * Russian (ru.po) by Yuri Kozlov
  * Ukrainian (uk.po) by Anton Gladky

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Jul 2016 19:06:59 +0200

apt-setup (1:0.116) unstable; urgency=medium

  * Rebuild with translation files that include complete information
    about translator and last update information.

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Jun 2016 15:37:23 +0200

apt-setup (1:0.115) unstable; urgency=medium

  * Rebuild with translations back in place

 -- Christian Perrier <bubulle@debian.org>  Sun, 29 May 2016 16:19:10 +0200

apt-setup (1:0.114) unstable; urgency=medium

  [ Updated translations ]
  * Serbian (sr.po) by Dragan Filipović

 -- Christian Perrier <bubulle@debian.org>  Sat, 28 May 2016 12:17:45 +0200

apt-setup (1:0.113) unstable; urgency=medium

  [ Updated translations ]
  * Serbian (sr.po) by Dragan Filipović

 -- Christian Perrier <bubulle@debian.org>  Fri, 22 Apr 2016 06:44:32 +0200

apt-setup (1:0.112) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Feb 2016 06:57:06 +0100

apt-setup (1:0.111) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Thu, 04 Feb 2016 07:13:47 +0100

apt-setup (1:0.110) unstable; urgency=medium

  [ Updated translations ]
  * Swedish (sv.po) by Martin Bagge / brother

 -- Christian Perrier <bubulle@debian.org>  Thu, 28 Jan 2016 09:50:57 +0100

apt-setup (1:0.109) unstable; urgency=medium

  [ Updated translations ]
  * Dutch (nl.po) by Frans Spiesschaert

 -- Christian Perrier <bubulle@debian.org>  Sat, 23 Jan 2016 08:39:43 +0100

apt-setup (1:0.108) unstable; urgency=medium

  [ Updated translations ]
  * Japanese (ja.po) by Kenshi Muto

 -- Christian Perrier <bubulle@debian.org>  Mon, 11 Jan 2016 19:09:35 +0100

apt-setup (1:0.107) unstable; urgency=medium

  [ Julien Cristau ]
  * Use /debian-security path on security.debian.org.

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Czech (cs.po) by Miroslav Kure
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes

 -- Christian Perrier <bubulle@debian.org>  Wed, 23 Dec 2015 07:49:10 +0100

apt-setup (1:0.105) unstable; urgency=medium

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Sun, 13 Dec 2015 08:46:02 +0100

apt-setup (1:0.104ubuntu5) yakkety; urgency=medium

  * generators/50mirror.ubuntu: universe incorrectly mentions some software
    being unfree, which is not true. Remove that mention from the notice we
    write to sources.list. Patch from Dan Watkins. (LP: #1590358)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 08 Jun 2016 13:15:07 -0400

apt-setup (1:0.104ubuntu4) xenial; urgency=medium

  * Now that we have CC.ports.ubuntu.com, fix generators/91security to
    stop assuming all ports work off ports.ubuntu.com. Instead, correctly
    mangle the templates to have the right per-arch
    apt-setup/security_host default.
  * Add release-files for archive.canonical.com xenial-proposed, and
    ports.ubuntu.com/xenial-*

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 10 Feb 2016 12:20:48 +0000

apt-setup (1:0.104ubuntu3) xenial; urgency=high

  * Fix apt-setup/enable-source-repositories in security & overlay
    generators.
  * Set apt-setup/enable-source-repositories default to false. LP: #74747
  * For freedom, set apt-setup/enable-source-repositoreis=true. I'm open
    to be overruled by a technical board decision.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 28 Jan 2016 20:40:54 +0000

apt-setup (1:0.104ubuntu2) xenial; urgency=medium

  * Fix mismerge that caused us not to disable the CD at the end of
    installation if any mirrors are present in the case of complete CD
    images (LP: #1529297).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 30 Dec 2015 20:18:05 +0000

apt-setup (1:0.104ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Set the mirror verification timeout to 30 seconds.
    - Adjust services-select for Ubuntu, removing volatile and adding
      partner (apt-setup/partner) and extras (apt-setup/extras).
    - Always disable the CD at the end of installation if any mirrors are
      present, even if it's a complete CD.
    - Pre-populate apt's lists directory with signed Release files for
      archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
      against downgrade attacks right from initial installation.
    - Run 'apt-get update' for all sources.list lines produced by a single
      generator in one go, and don't comment out sources.list lines if it
      fails.
    - Make the path to security updates configurable, as well as the host.
    - Remove restricted from cdrom entry if apt-setup/restricted is false.
    - Make sure apt-cdrom doesn't unmount the CD if cd_type ends with
      /single.
    - Enable all network sources, including security updates, even if the
      network is unconfigured.
    - Honour apt-setup/restricted, apt-setup/universe, and
      apt-setup/multiverse when writing -backports lines.
    - Run 'apt-get update', without downloading package lists or cleaning up
      old files, after moving the sources.list generated during base system
      installation back into place.
    - If OVERRIDE_LEAVE_CD_MOUNTED is set, don't unmount /cdrom; this is a
      bad idea in a live CD environment!
    - Enable backports by default now that we have NotAutomatic enabled and
      working.
    - Add Release files.
  * Replace saucy Release and Release.gpg files with those for xenial.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 01 Dec 2015 22:07:12 -0500

apt-setup (1:0.104) unstable; urgency=medium

  [ Updated translations ]
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Christian Perrier <bubulle@debian.org>  Mon, 30 Nov 2015 07:04:21 +0100

apt-setup (1:0.103) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Add a new apt-setup/enable-source-repositories question to let the
    user disable "deb-src" entries for network repositories that
    are listed in /etc/apt/sources.list. Closes: #647405

  [ Colin Watson ]
  * Fix dh_installdebconf override to work properly with an
    architecture-independent-only build (closes: #805994).

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * German (de.po) by Holger Wansing
  * French (fr.po) by Christian Perrier
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovak (sk.po) by Ivan Masár

 -- Christian Perrier <bubulle@debian.org>  Wed, 25 Nov 2015 06:50:56 +0100

apt-setup (1:0.102) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Add a new apt-setup/disable-cdrom-entries to be used in preseeding
    that will drop the "cdrom" entries in the target /etc/apt/sources.list.
    Closes: #702257
  * Also disable "cdrom" entries when the detected cd_type is live.
    Closes: #652987

 -- Christian Perrier <bubulle@debian.org>  Fri, 11 Sep 2015 07:01:54 +0200

apt-setup (1:0.101) unstable; urgency=medium

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Jul 2015 10:23:51 +0200

apt-setup (1:0.100) unstable; urgency=medium

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jun 2015 08:50:09 +0200

apt-setup (1:0.99) unstable; urgency=medium

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 May 2015 14:21:50 +0200

apt-setup (1:0.98) unstable; urgency=medium

  [ Updated translations ]
  * Tamil (ta.po) by Dr.T.Vasudevan

 -- Christian Perrier <bubulle@debian.org>  Mon, 11 May 2015 08:38:36 +0200

apt-setup (1:0.97) unstable; urgency=medium

  * Stop enabling backports by default (Closes: #764982). Rationale:
     - Packages in the base suite are preferred to the ones in the
       backports suite so one needs to specifically ask for the version
       from backports.
     - That isn't true for packages which are only available in the
       backports suite.
    This means one could possibly install such packages without even
    noticing they're not fetched from the base suite; and that seems
    a dangerous default.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 14 Apr 2015 02:58:09 +0200

apt-setup (1:0.96) unstable; urgency=low

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Apr 2015 08:49:52 +0200

apt-setup (1:0.95) unstable; urgency=low

  [ Updated translations ]
  * Romanian (ro.po) by Bradut Boghita

 -- Christian Perrier <bubulle@debian.org>  Mon, 23 Mar 2015 06:54:17 +0100

apt-setup (1:0.94) unstable; urgency=low

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Vietnamese (vi.po) by Hai-Nam Nguyen

 -- Christian Perrier <bubulle@debian.org>  Sat, 07 Mar 2015 18:48:23 +0100

apt-setup (1:0.93) unstable; urgency=low

  [ Updated translations ]
  * German (de.po) by Holger Wansing

 -- Christian Perrier <bubulle@debian.org>  Mon, 26 Jan 2015 08:18:28 +0100

apt-setup (1:0.92) unstable; urgency=low

  [ Updated translations ]
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Oct 2014 08:24:53 +0200

apt-setup (1:0.91) unstable; urgency=low

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Sep 2014 09:25:02 +0200

apt-setup (1:0.90) unstable; urgency=medium

  [ Colin Watson ]
  * Enable amd64 as a foreign architecture by default for x32 installations.
    This can be controlled by preseeding apt-setup/multiarch.

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Estonian (et.po) by Mattias Põldaru
  * Panjabi (pa.po) by A S Alam

 -- Christian Perrier <bubulle@debian.org>  Sun, 07 Sep 2014 08:33:47 +0200

apt-setup (1:0.89) unstable; urgency=low

  [ Updated translations ]
  * Portuguese (pt.po) by Miguel Figueiredo

 -- Christian Perrier <bubulle@debian.org>  Thu, 08 May 2014 08:52:08 +0200

apt-setup (1:0.88) unstable; urgency=low

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera

 -- Christian Perrier <bubulle@debian.org>  Sat, 05 Apr 2014 08:43:40 +0200

apt-setup (1:0.87) unstable; urgency=low

  [ Updated translations ]
  * Korean (ko.po) by Changwoo Ryu

 -- Christian Perrier <bubulle@debian.org>  Wed, 19 Mar 2014 07:02:55 +0100

apt-setup (1:0.86) unstable; urgency=high

  [ Colin Watson ]
  * Handle proxy and timeout configuration appropriately when installing
    over HTTPS (LP: #1135163).

  [ Cyril Brulebois ]
  * Make sure to disable interactivity in “apt-cdrom ident” calls, by adding
    “< /dev/null” as done in some “apt-cdrom add” calls. This command became
    interactive in some apt versions (See: #740673), so be explicit about
    what we want, which should avoid hanging.

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bosnian (bs.po) by Amila Valjevčić
  * Hungarian (hu.po) by Judit Gyimesi
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Cyril Brulebois <kibi@debian.org>  Fri, 14 Mar 2014 20:41:00 +0100

apt-setup (1:0.85) unstable; urgency=low

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Galician (gl.po) by Jorge Barreiro
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Christian Perrier <bubulle@debian.org>  Thu, 07 Nov 2013 06:56:34 +0100

apt-setup (1:0.84) unstable; urgency=low

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Greek, Modern (1453-) (el.po) by galaxico
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Croatian (hr.po) by Tomislav Krznar
  * Icelandic (is.po) by Sveinn í Felli
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Kannada (kn.po) by Prabodh C P (FSMK Localisation Team)
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Malayalam (ml.po) by Anish Sheela
  * Marathi (mr.po) by sampada
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Polish (pl.po) by Michał Kułach
  * Turkish (tr.po) by Mert Dirik
  * Ukrainian (uk.po) by Yuri Chornoivan
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Sun, 13 Oct 2013 17:14:36 +0200

apt-setup (1:0.83) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama Khayat
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Italian (it.po) by Milo Casagrande
  * Russian (ru.po) by Yuri Kozlov

 -- Christian Perrier <bubulle@debian.org>  Thu, 05 Sep 2013 07:00:00 +0200

apt-setup (1:0.82) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Add support for backports. Closes: #691651

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * French (fr.po) by Christian Perrier
  * Japanese (ja.po) by Kenshi Muto
  * Slovak (sk.po) by Ivan Masár
  * Tajik (tg.po) by Victor Ibragimov
  * Thai (th.po) by Kiatkachorn Ratanatharathorn
  * Uyghur (ug.po) by Abduqadir Abliz

 -- Christian Perrier <bubulle@debian.org>  Thu, 22 Aug 2013 15:28:33 +0200

apt-setup (1:0.81) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 13:08:02 +0200

apt-setup (1:0.80ubuntu8) wily; urgency=medium

  * debian/apt-mirror-setup.templates-ubuntu:
    - apt-setup/use_overlay -> apt-setup/overlay: that's the name used for the
      template used in apt-setup, net-retriever, etc.
    - switch apt-setup/overlay to default to false; in usual cases we don't
      want to use an overlay, and this follows the description which says it
      should not be enabled.
    - apt-setup/overlay_components: fix typo in template name; it's used as
      "overlay_components" elsewhere in d-i.
    - apt-setup/overlay_path -> apt-setup/overlay_directory: again, follow the
      actual name used in other d-i scripts.
    - apt-setup/overlay_path: default to / rather than an arbitrary PPA.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 03 Jul 2015 23:20:20 -0400

apt-setup (1:0.80ubuntu7) vivid; urgency=medium

  * Remove extras.ubuntu.com. (LP: #1409555)
  * Regenerate translations (needs later re-import from Launchpad?!)
  * Drop extras.ubuntu.com release files

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 08 Feb 2015 20:01:29 +0000

apt-setup (1:0.80ubuntu6) trusty; urgency=medium

  * Cherry-pick from trunk:
    - Handle proxy and timeout configuration appropriately when installing
      over HTTPS (LP: #1135163).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 14 Feb 2014 15:12:46 +0000

apt-setup (1:0.80ubuntu5) trusty; urgency=low

  * Correct error handling in 95overlay to prevent installer from ABENDing

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Thu, 02 Jan 2014 15:34:29 -0500

apt-setup (1:0.80ubuntu4) trusty; urgency=low

  * Reuplad with a file that was accidently left out of the previous upload

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Thu, 02 Jan 2014 07:06:32 -0500

apt-setup (1:0.80ubuntu3) trusty; urgency=low

  * Add support for overlay archives (LP: #1250930)

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Thu, 02 Jan 2014 06:52:27 -0500

apt-setup (1:0.80ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Set the mirror verification timeout to 30 seconds.
    - Adjust services-select for Ubuntu, removing volatile and adding
      partner (apt-setup/partner) and extras (apt-setup/extras).
    - Always disable the CD at the end of installation if any mirrors are
      present, even if it's a complete CD.
    - Pre-populate apt's lists directory with signed Release files for
      archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
      against downgrade attacks right from initial installation.
    - Run 'apt-get update' for all sources.list lines produced by a single
      generator in one go, and don't comment out sources.list lines if it
      fails.
    - Make the path to security updates configurable, as well as the host.
    - Remove restricted from cdrom entry if apt-setup/restricted is false.
    - Make sure apt-cdrom doesn't unmount the CD if cd_type ends with
      /single.
    - Enable all network sources, including security updates, even if the
      network is unconfigured.
    - Honour apt-setup/restricted, apt-setup/universe, and
      apt-setup/multiverse when writing -backports lines.
    - Run 'apt-get update', without downloading package lists or cleaning up
      old files, after moving the sources.list generated during base system
      installation back into place.
    - If OVERRIDE_LEAVE_CD_MOUNTED is set, don't unmount /cdrom; this is a
      bad idea in a live CD environment!
    - Enable backports by default now that we have NotAutomatic enabled and
      working.
    - Add Release files for saucy.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 May 2013 15:24:03 +0100

apt-setup (1:0.80) unstable; urgency=low

  [ Colin Watson ]
  * Update comment on apt-setup/services-select Choices field.
  * generators/01setup: Cope with the case where ROOT is unset.
  * generators/01setup: If apt-setup/multiarch is empty, remove any existing
    foreign architectures (as might have been set up by e.g. a live
    filesystem build).
  * Bail out cleanly from cdrom generator if /cdrom/.disk/info doesn't exist
    or has zero size, to guard against image creation errors (LP: #245519).

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 May 2013 12:49:46 +0200

apt-setup (1:0.79ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Set the mirror verification timeout to 30 seconds.
    - Adjust services-select for Ubuntu, removing volatile and adding
      partner (apt-setup/partner) and extras (apt-setup/extras).
    - Always disable the CD at the end of installation if any mirrors are
      present, even if it's a complete CD.
    - Pre-populate apt's lists directory with signed Release files for
      archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
      against downgrade attacks right from initial installation.
    - Run 'apt-get update' for all sources.list lines produced by a single
      generator in one go, and don't comment out sources.list lines if it
      fails.
    - Make the path to security updates configurable, as well as the host.
    - Remove restricted from cdrom entry if apt-setup/restricted is false.
    - Make sure apt-cdrom doesn't unmount the CD if cd_type ends with
      /single.
    - Enable all network sources, including security updates, even if the
      network is unconfigured.
    - Honour apt-setup/restricted, apt-setup/universe, and
      apt-setup/multiverse when writing -backports lines.
    - Run 'apt-get update', without downloading package lists or cleaning up
      old files, after moving the sources.list generated during base system
      installation back into place.
    - If OVERRIDE_LEAVE_CD_MOUNTED is set, don't unmount /cdrom; this is a
      bad idea in a live CD environment!
    - Bail out cleanly from cdrom generator if /cdrom/.disk/info doesn't
      exist or has zero size.
    - Enable backports by default now that we have NotAutomatic enabled and
      working.
    - If apt-setup/multiarch is empty, remove any existing foreign
      architectures.
  * Add Release files for saucy, and remove those for quantal (oops).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 08 May 2013 16:54:25 +0100

apt-setup (1:0.79) unstable; urgency=low

  * Fix support for apt-setup/multiarch preseed option: call “dpkg
    --add-architecture $arch" for each architecture, instead of
    generating dpkg.cfg (used by early multiarch implementations);
    thanks, Raphaël Hertzog! (Closes: #703995)

 -- Cyril Brulebois <kibi@debian.org>  Sat, 06 Apr 2013 20:11:42 +0200

apt-setup (1:0.78) unstable; urgency=low

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Mar 2013 07:53:14 +0100

apt-setup (1:0.77) unstable; urgency=low

  [ Updated translations ]
  * Hungarian (hu.po) by Dr. Nagy Elemér Károly

 -- Christian Perrier <bubulle@debian.org>  Sun, 09 Dec 2012 12:27:15 +0100

apt-setup (1:0.76) unstable; urgency=low

  [ Updated translations ]
  * Malayalam (ml.po) by Hrishikesh K B

 -- Christian Perrier <bubulle@debian.org>  Sat, 10 Nov 2012 11:34:58 +0100

apt-setup (1:0.75) unstable; urgency=low

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Asturian (ast.po) by ivarela
  * Welsh (cy.po) by Dafydd Tomos
  * Kannada (kn.po) by Prabodh
  * Serbian (sr.po) by Karolina Kalic
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Ukrainian (uk.po) by Yuri Chornoivan

 -- Christian Perrier <bubulle@debian.org>  Thu, 25 Oct 2012 06:12:12 +0200

apt-setup (1:0.74) unstable; urgency=low

  * [l10n] Drop use of sublevel 6 and move "recently" added
    strings to the sublevel they pertain to.

  [ Updated translations ]
  * Hindi (hi.po) by Kumar Appaiah

 -- Christian Perrier <bubulle@debian.org>  Sat, 06 Oct 2012 13:21:26 +0200

apt-setup (1:0.73) unstable; urgency=low

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure

 -- Christian Perrier <bubulle@debian.org>  Sun, 30 Sep 2012 11:27:16 +0200

apt-setup (1:0.72) unstable; urgency=low

  [ Updated translations ]
  * Persian (fa.po) by Hamid
  * Lithuanian (lt.po) by Rimas Kudelis
  * Traditional Chinese (zh_TW.po) by Ｖ字龍 | Vdragon

 -- Christian Perrier <bubulle@debian.org>  Sun, 23 Sep 2012 14:42:57 +0200

apt-setup (1:0.71) unstable; urgency=low

  [ Updated translations ]
  * Greek (el.po) by galaxico

 -- Christian Perrier <bubulle@debian.org>  Sat, 25 Aug 2012 08:07:52 +0200

apt-setup (1:0.70) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Korean (ko.po) by Changwoo Ryu

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Jul 2012 02:19:53 +0200

apt-setup (1:0.69) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Christian Perrier <bubulle@debian.org>  Tue, 03 Jul 2012 23:17:26 +0200

apt-setup (1:0.68) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Jun 2012 11:45:07 +0200

apt-setup (1:0.67) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Jun 2012 08:09:23 +0200

apt-setup (1:0.66) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Panjabi (pa.po) by A S Alam
  * Romanian (ro.po) by Eddy Petrișor

 -- Christian Perrier <bubulle@debian.org>  Sat, 23 Jun 2012 13:52:22 +0200

apt-setup (1:0.65) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Simplified Chinese (zh_CN.po) by YunQiang Su
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)
  * Dzongkha (dz.po) by Dawa

 -- Christian Perrier <bubulle@debian.org>  Fri, 22 Jun 2012 18:26:23 +0200

apt-setup (1:0.64) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Persian (fa.po) by Hamid
  * Finnish (fi.po) by Timo Jyrinki
  * Lithuanian (lt.po) by Rimas Kudelis
  * Macedonian (mk.po) by Arangel Angov
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Dutch (nl.po) by Jeroen Schot
  * Slovenian (sl.po) by Vanja Cvelbar
  * Serbian (sr.po) by Karolina Kalic
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Christian Perrier <bubulle@debian.org>  Thu, 21 Jun 2012 22:48:27 +0200

apt-setup (1:0.63) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Russian (ru.po) by Yuri Kozlov
  * Telugu (te.po) by Arjuna Rao Chavala
  * Uyghur (ug.po) by Sahran
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Wed, 20 Jun 2012 06:25:38 +0200

apt-setup (1:0.62) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Telugu (te.po) by Arjuna Rao Chavala
  * Vietnamese (vi.po) by Nguyen Vu Hung

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 Jun 2012 14:43:35 +0200

apt-setup (1:0.61) unstable; urgency=low

  * Team upload
  * Replace XC-Package-Type by Package-Type

  [ Updated translations ]
  * French (fr.po) by Christian Perrier
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Joe Hansen
  * Estonian (et.po) by Mattias Põldaru
  * Japanese (ja.po) by Kenshi Muto
  * Marathi (mr.po) by sampada
  * Slovak (sk.po) by Ivan Masár
  * Telugu (te.po) by Arjuna Rao Chavala
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Traditional Chinese (zh_TW.po) by 林博仁

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Jun 2012 19:26:38 +0200

apt-setup (1:0.60) unstable; urgency=low

  [ Philipp Kern ]
  * Team upload.
  * Replace the volatile name with release updates. (Closes: #665852)

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Philipp Kern <pkern@debian.org>  Sat, 16 Jun 2012 12:47:33 +0200

apt-setup (1:0.59) unstable; urgency=low

  * Team upload
  * Turn XC-Package-Type into Package-Type

  [ Updated translations ]
  * Welsh (cy.po) by Daffyd Tomos

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Jun 2012 18:03:57 +0200

apt-setup (1:0.58) unstable; urgency=low

  * Team upload

  [ Adam D. Barratt ]
  * If no network mirror was selected during install, add a (commented-out)
    entry pointing at ftp.debian.org, together with a comment explaining why
    the entry is commented out and that it should be updated to use a relevant
    mirror.  The comment is not translated, but this is still preferable to
    the previous behaviour of creating clearly broken entries under such
    circumstances which users then re-enabled.  (Closes: #613910)

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Tibetan (bo.po) by Tennom
  * Finnish (fi.po) by Timo Jyrinki
  * Galician (gl.po) by Jorge Barreiro
  * Lao (lo.po) by Anousak Souphavanh
  * Lithuanian (lt.po) by Rimas Kudelis
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Macedonian (mk.po) by Arangel Angov
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Slovenian (sl.po) by Vanja Cvelbar
  * Vietnamese (vi.po) by Hai-Nam Nguyen
  * Simplified Chinese (zh_CN.po) by YunQiang Su
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Thu, 14 Jun 2012 20:25:38 +0200

apt-setup (1:0.57) unstable; urgency=low

  [ Updated translations ]
  * Asturian (ast.po) by Mikel González
  * Bulgarian (bg.po) by Damyan Ivanov
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Joe Hansen
  * Estonian (et.po) by Mattias Põldaru
  * Indonesian (id.po) by Mahyuddin Susanto
  * Icelandic (is.po) by Sveinn í Felli
  * Italian (it.po) by Milo Casagrande
  * Khmer (km.po) by Khoem Sokhem
  * Kannada (kn.po) by Prabodh C P
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Norwegian Bokmal (nb.po) by Hans Fredrik Nordhaug
  * Dutch (nl.po) by Jeroen Schot
  * Polish (pl.po) by Marcin Owsiany
  * Serbian (sr.po) by Karolina Kalic
  * Uyghur (ug.po) by Sahran

 -- Otavio Salvador <otavio@debian.org>  Thu, 15 Mar 2012 14:29:39 -0300

apt-setup (1:0.56ubuntu2) quantal; urgency=low

  * Convert multiarch setup to new world order as of dpkg >= 1.16.2.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Jun 2012 09:29:22 +0100

apt-setup (1:0.56ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Set the mirror verification timeout to 30 seconds.
    - Adjust services-select for Ubuntu, removing volatile and adding
      partner (apt-setup/partner) and extras (apt-setup/extras).
    - Always disable the CD at the end of installation if any mirrors are
      present, even if it's a complete CD.
    - Pre-populate apt's lists directory with signed Release files for
      archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
      against downgrade attacks right from initial installation.
    - Run 'apt-get update' for all sources.list lines produced by a single
      generator in one go, and don't comment out sources.list lines if it
      fails.
    - Make the path to security updates configurable, as well as the host.
    - Remove restricted from cdrom entry if apt-setup/restricted is false.
    - Make sure apt-cdrom doesn't unmount the CD if cd_type ends with
      /single.
    - Enable all network sources, including security updates, even if the
      network is unconfigured.
    - Honour apt-setup/restricted, apt-setup/universe, and
      apt-setup/multiverse when writing -backports lines.
    - Run 'apt-get update', without downloading package lists or cleaning up
      old files, after moving the sources.list generated during base system
      installation back into place.
    - If OVERRIDE_LEAVE_CD_MOUNTED is set, don't unmount /cdrom; this is a
      bad idea in a live CD environment!
    - Bail out cleanly from cdrom generator if /cdrom/.disk/info doesn't
      exist or has zero size.
    - Enable backports by default now that we have NotAutomatic enabled and
      working.
    - If apt-setup/multiarch is empty, remove
      /etc/dpkg/dpkg.cfg.d/multiarch.
  * Add Release files for quantal, and remove those for precise (except for
    extras.ubuntu.com, where quantal doesn't exist yet).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 08 Jun 2012 16:16:42 +0100

apt-setup (1:0.56) unstable; urgency=low

  [ Colin Watson ]
  * Allow preseeding apt-setup/multiarch to configure the target system for
    multiarch.  Not enabled by default for any architectures yet since
    multiarch dpkg is not yet in unstable.

  [ Joey Hess ]
  * Improve prompting for mirror when no network is configured.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama Khayat
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Zenat Rahnuma
  * Bosnian (bs.po) by Armin Besirovic
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Greek (el.po) by galaxico
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Basque (eu.po)
  * Persian (fa.po) by Behrad Eslamifar
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Kannada (kn.po) by vignesh prabhu
  * Korean (ko.po) by Changwoo Ryu
  * Lao (lo.po) by Anousak Souphavanh
  * Macedonian (mk.po) by Arangel Angov
  * Marathi (mr.po) by sampada
  * Dutch (nl.po) by Jeroen Schot
  * Polish (pl.po) by Marcin Owsiany
  * Romanian (ro.po) by Ioan Eugen Stan
  * Sinhala (si.po) by Danishka Navin
  * Swedish (sv.po) by Martin Bagge / brother
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Telugu (te.po) by Arjuna Rao Chavala
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Ukrainian (uk.po) by Borys Yanovych
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Otavio Salvador <otavio@debian.org>  Sat, 19 Nov 2011 16:10:11 -0200

apt-setup (1:0.55ubuntu4) precise; urgency=low

  * Add extras.ubuntu.com Release files for precise, and remove those for
    oneiric.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Apr 2012 14:11:48 +0100

apt-setup (1:0.55ubuntu3) precise; urgency=low

  * If apt-setup/multiarch is empty, remove /etc/dpkg/dpkg.cfg.d/multiarch.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Apr 2012 23:55:26 +0100

apt-setup (1:0.55ubuntu2) precise; urgency=low

  * generators/50mirrors.ubuntu: do not reuse the file variable (LP: #964930) 

 -- Brian Murray <brian@ubuntu.com>  Wed, 28 Mar 2012 17:04:23 +0100

apt-setup (1:0.55ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Set the mirror verification timeout to 30 seconds.
    - Adjust services-select for Ubuntu, removing volatile and adding
      partner (apt-setup/partner) and extras (apt-setup/extras).
    - Always disable the CD at the end of installation if any mirrors are
      present, even if it's a complete CD.
    - Pre-populate apt's lists directory with signed Release files for
      archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
      against downgrade attacks right from initial installation.
    - Run 'apt-get update' for all sources.list lines produced by a single
      generator in one go, and don't comment out sources.list lines if it
      fails.
    - Make the path to security updates configurable, as well as the host.
    - Remove restricted from cdrom entry if apt-setup/restricted is false.
    - Make sure apt-cdrom doesn't unmount the CD if cd_type ends with
      /single.
    - Enable all network sources, including security updates, even if the
      network is unconfigured.
    - Honour apt-setup/restricted, apt-setup/universe, and
      apt-setup/multiverse when writing -backports lines.
    - Run 'apt-get update', without downloading package lists or cleaning up
      old files, after moving the sources.list generated during base system
      installation back into place.
    - If OVERRIDE_LEAVE_CD_MOUNTED is set, don't unmount /cdrom; this is a
      bad idea in a live CD environment!
    - Bail out cleanly from cdrom generator if /cdrom/.disk/info doesn't
      exist or has zero size.
    - Enable backports by default now that we have NotAutomatic enabled and
      working.
    - Enable multiarch by default for amd64 installations.  This can be
      controlled by preseeding apt-setup/multiarch.
  * Add Release files for precise, and remove those for oneiric (except for
    extras.ubuntu.com, where precise doesn't exist yet).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Oct 2011 14:18:01 +0100

apt-setup (1:0.55) unstable; urgency=low

  [ Samuel Thibault ]
  * Explicitly unmount bind mounts, do not rely on the OS to do it itself.

  [ Colin Watson ]
  * Display an error message if downloading the public key for a local
    repository fails, and allow the user to retry (LP: #728710).

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * German (de.po) by Holger Wansing
  * Basque (eu.po)
  * French (fr.po) by Christian Perrier
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár

 -- Otavio Salvador <otavio@debian.org>  Sat, 23 Jul 2011 23:50:40 +0200

apt-setup (1:0.54) unstable; urgency=low

  [ Christian Perrier ]
  * Add myself to Uploaders to have at least one human maintainer

  [ Samuel Thibault ]
  * Remove exec mount option on hurd-i386.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Estonian (et.po) by Mattias Põldaru
  * Korean (ko.po) by Changwoo Ryu
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Telugu (te.po) by Arjuna Rao Chavala
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Uyghur (ug.po) by Sahran


 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Apr 2011 08:47:37 +0200

apt-setup (1:0.53) unstable; urgency=low

  * Support cd_type "bluray". In particular, don't prompt at high priority
    for a mirror to be configured. Closes: #609334
  * Remove hardcoded bail out if the CD filesystem is not iso9660.
    That seems wrong both for usb-hdd media as used by debian-live,
    as well as for non-linux OSs (freebsd calls it cd9660).
  * Treat usb-hdd media the same as hd-media and isohybrid, leaving
    them mounted. Closes: #608201
    (Needs cdrom-detect 1.38)

 -- Joey Hess <joeyh@debian.org>  Sun, 16 Jan 2011 14:49:31 -0400

apt-setup (1:0.52) unstable; urgency=low

  [ Otavio Salvador ]
  * Fix label reporting with recent APT. Closes: #602421.

  [ Colin Watson ]
  * Reinitialise a couple of bits of debconf state after calling
    chroot_setup in the cdset generator, otherwise sourcing the confmodule
    in load-install-cd gets horribly confused.  This spaghetti code needs to
    be rewritten after squeeze.  Closes: #602421.

  [ Updated translations ]
  * Northern Sami (se.po) by Børre Gaup

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Jan 2011 17:23:52 +0000

apt-setup (1:0.51) unstable; urgency=low

  [ Updated translations ]
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:47:19 -0200

apt-setup (1:0.50) unstable; urgency=low

  [ Christian Perrier ]
  * Move security/volatile question to sublevel 3 in
    translation files as this question is not asked in
    default installs

  [ Adam D. Barratt ]
  * Support the new suite name for "volatile". Closes: #605640

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh
  * Northern Sami (se.po) by Børre Gaup
  * Sinhala (si.po) by Danishka Navin
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Christian Perrier <bubulle@debian.org>  Tue, 07 Dec 2010 22:06:38 +0100

apt-setup (1:0.49ubuntu9) oneiric; urgency=low

  * Fix non-i386 builds.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Sep 2011 23:19:19 +0100

apt-setup (1:0.49ubuntu8) oneiric; urgency=low

  * Make apt-setup-udeb Architecture: any so that we can use different
    multiarch defaults on different architectures (LP: #853738).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Sep 2011 22:05:04 +0100

apt-setup (1:0.49ubuntu7) oneiric; urgency=low

  * Enable multiarch by default for amd64 installations.  This can be
    controlled by preseeding apt-setup/multiarch.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Jul 2011 15:07:40 +0100

apt-setup (1:0.49ubuntu6) oneiric; urgency=low

  * Add Release files for oneiric.
  * Actually install Release files for archive.canonical.com and
    extras.ubuntu.com.
  * Remove Release files for previous releases.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Jun 2011 23:32:48 +0100

apt-setup (1:0.49ubuntu5) oneiric; urgency=low

  * Enable backports by default now that we have NotAutomatic enabled and
    working.

 -- Iain Lane <laney@ubuntu.com>  Thu, 12 May 2011 08:39:39 +0100

apt-setup (1:0.49ubuntu4) natty; urgency=low

  * Disable partner by default again (accidentally enabled in
    1:0.48ubuntu1), and make sure that preseeding apt-setup/partner=true
    enables it (LP: #744982).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 08 Apr 2011 12:38:25 +0100

apt-setup (1:0.49ubuntu3) natty; urgency=low

  * Update extras.ubuntu.com/natty Release.gpg, signed with the proper key
    this time.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Dec 2010 16:45:44 +0000

apt-setup (1:0.49ubuntu2) natty; urgency=low

  * Add Release files for extras.ubuntu.com/natty.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Nov 2010 10:24:21 +0000

apt-setup (1:0.49ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Set the mirror verification timeout to 30 seconds.
    - Adjust services-select for Ubuntu, removing volatile and adding
      partner (apt-setup/partner) and extras (apt-setup/extras).
    - Always disable the CD at the end of installation if any mirrors are
      present, even if it's a complete CD.
    - Pre-populate apt's lists directory with signed Release files for
      archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
      against downgrade attacks right from initial installation.
    - Run 'apt-get update' for all sources.list lines produced by a single
      generator in one go, and don't comment out sources.list lines if it
      fails.
    - Make the path to security updates configurable, as well as the host.
    - Remove restricted from cdrom entry if apt-setup/restricted is false.
    - Make sure apt-cdrom doesn't unmount the CD if cd_type ends with
      /single.
    - Enable all network sources, including security updates, even if the
      network is unconfigured.
    - Honour apt-setup/restricted, apt-setup/universe, and
      apt-setup/multiverse when writing -backports lines.
    - Check to make sure the CD filesystem is iso9660 before remounting it
      as such.  Do not write a CD identifier if we're not working with
      iso9660 so pkgsel does not try to unmount such disks.
    - Run 'apt-get update', without downloading package lists or cleaning up
      old files, after moving the sources.list generated during base system
      installation back into place.
    - If OVERRIDE_LEAVE_CD_MOUNTED is set, don't unmount /cdrom; this is a
      bad idea in a live CD environment!
    - Bail out cleanly from cdrom generator if /cdrom/.disk/info doesn't
      exist or has zero size.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Nov 2010 10:12:32 +0000

apt-setup (1:0.49) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Consistently write a blank line between generators, even if a
      non-first generator starts its output with a comment.

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan
  * Catalan (ca.po) by Jordi Mallach
  * Icelandic (is.po) by Sveinn í Felli

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 09:39:59 -0200

apt-setup (1:0.48ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Set the mirror verification timeout to 30 seconds.
    - Disable the volatile service for Ubuntu, and don't ask the
      apt-setup/services-select question.
    - Always disable the CD at the end of installation if any mirrors are
      present, even if it's a complete CD.
    - Pre-populate apt's lists directory with signed Release files for
      archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
      against downgrade attacks right from initial installation.
    - Run 'apt-get update' for all sources.list lines produced by a single
      generator in one go, and don't comment out sources.list lines if it
      fails.
    - Make the path to security updates configurable, as well as the host.
    - Remove restricted from cdrom entry if apt-setup/restricted is false.
    - Allow preseeding apt-setup/partner to enable the partner repository,
      and apt-setup/extras to enable extras.ubuntu.com.
    - Make sure apt-cdrom doesn't unmount the CD if cd_type ends with
      /single.
    - Enable all network sources, including security updates, even if the
      network is unconfigured.
    - Honour apt-setup/restricted, apt-setup/universe, and
      apt-setup/multiverse when writing -backports lines.
    - Check to make sure the CD filesystem is iso9660 before remounting it
      as such.  Do not write a CD identifier if we're not working with
      iso9660 so pkgsel does not try to unmount such disks.
    - Run 'apt-get update', without downloading package lists or cleaning up
      old files, after moving the sources.list generated during base system
      installation back into place.
    - If OVERRIDE_LEAVE_CD_MOUNTED is set, don't unmount /cdrom; this is a
      bad idea in a live CD environment!
    - Bail out cleanly from cdrom generator if /cdrom/.disk/info doesn't
      exist or has zero size.
  * Add Release files for natty.
  * Move partner and extras to the services-select framework, customised for
    Ubuntu (LP: #657176).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Nov 2010 12:21:55 +0000

apt-setup (1:0.48) unstable; urgency=low

  * Set LC_ALL=C when calling 'apt-cdrom ident', since we parse its output.
    Broken by the change in 1:0.47 to use chroot-setup.sh, which sets LANG.
  * Ask apt-setup/cdrom/media-change at critical priority, since we'll enter
    an infinite loop if it isn't presented (thanks, Petter Reinholdtsen;
    closes: #598457).

  [ Updated translations ]
  * Kazakh (kk.po) by Baurzhan Muftakhidinov

 -- Colin Watson <cjwatson@debian.org>  Mon, 04 Oct 2010 14:28:51 +0100

apt-setup (1:0.47) unstable; urgency=low

  [ Joey Hess ]
  * When cdrom-detect/hybrid is true, the CD is not mountable by apt,
    so behave the same as for a hd-media install.
  * Needs cdrom-detect 1.35.

  [ Colin Watson ]
  * Use chroot-setup.sh to mount /proc and /sys in the target when running
    apt-cdrom (closes: #595903).  This would normally need di-utils 1.80;
    but to avoid breaking d-i squeeze alpha 1 (and possibly beta 1) initrds,
    I've temporarily copied a chunk of code from chroot-setup.sh into two
    apt-setup generator scripts.  This should be cleaned up once
    compatibility with older initrds is no longer necessary.

  [ Updated translations ]
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Armin Beširović
  * Danish (da.po) by Anders Jenbo
  * Persian (fa.po) by Ebrahim Byagowi
  * Finnish (fi.po) by Esko Arajärvi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Mon, 20 Sep 2010 01:06:01 -0300

apt-setup (1:0.46) unstable; urgency=low

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Asturian (ast.po) by astur
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bosnian (bs.po) by Armin Beširović
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Jacob Sparre Andersen
  * German (de.po) by Holger Wansing
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Persian (fa.po) by acathur
  * French (fr.po) by Christian Perrier
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Georgian (ka.po) by Aiet Kolkhi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Central Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Changwoo Ryu
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Nepali (ne.po)
  * Norwegian Nynorsk (nn.po) by Eirik U. Birkeland
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by ioan-eugen stan
  * Tamil (ta.po) by Dr,T,Vasudevan
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Christian Perrier <bubulle@debian.org>  Sat, 10 Jul 2010 20:18:23 +0200

apt-setup (1:0.45ubuntu4) maverick; urgency=low

  * Do not include the CDROM line in the check for restricted being
    present in the sources.list (LP: #655893).

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 07 Oct 2010 11:35:56 +0100

apt-setup (1:0.45ubuntu3) maverick; urgency=low

  * Default apt-setup/extras to false; it will be preseeded to true on
    desktop images (LP: #653200).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Oct 2010 09:48:13 +0100

apt-setup (1:0.45ubuntu2) maverick; urgency=low

  [ Michael Vogt ]
  * add support for extras.ubuntu.com (as apt-setup/extras)

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Sep 2010 09:48:54 +0100

apt-setup (1:0.45ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Set the mirror verification timeout to 30 seconds.
    - Disable the volatile service for Ubuntu, and don't ask the
      apt-setup/services-select question.
    - Always disable the CD at the end of installation if any mirrors are
      present, even if it's a complete CD.
    - Pre-populate apt's lists directory with signed Release files for
      archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
      against downgrade attacks right from initial installation.
    - Run 'apt-get update' for all sources.list lines produced by a single
      generator in one go, and don't comment out sources.list lines if it
      fails.
    - Make the path to security updates configurable, as well as the host.
    - Remove restricted from cdrom entry if apt-setup/restricted is false.
    - Allow preseeding apt-setup/partner to enable the partner repository.
    - Make sure apt-cdrom doesn't unmount the CD if cd_type ends with
      /single.
    - Enable all network sources, including security updates, even if the
      network is unconfigured.
    - Honour apt-setup/restricted, apt-setup/universe, and
      apt-setup/multiverse when writing -backports lines.
    - Check to make sure the CD filesystem is iso9660 before remounting it
      as such.  Do not write a CD identifier if we're not working with
      iso9660 so pkgsel does not try to unmount such disks.
    - Run 'apt-get update', without downloading package lists or cleaning up
      old files, after moving the sources.list generated during base system
      installation back into place.
    - If OVERRIDE_LEAVE_CD_MOUNTED is set, don't unmount /cdrom; this is a
      bad idea in a live CD environment!
    - Bail out cleanly from cdrom generator if /cdrom/.disk/info doesn't
      exist or has zero size.
    - Mount /proc, /sys, and /dev in the target system if necessary when
      running apt-cdrom.
  * Add Release files for maverick.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 May 2010 15:07:42 +0100

apt-setup (1:0.45) unstable; urgency=low

  * There's no need anymore to unmount /target/cdrom.

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Hebrew (he.po) by Omer Zak
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Frans Pop <fjp@debian.org>  Fri, 12 Mar 2010 23:11:42 +0100

apt-setup (1:0.44) unstable; urgency=low

  [ Colin Watson ]
  * Re-enable progress bar cancellation; debconf 1.5.27 fixes occasional
    bugs where we weren't exiting 30 appropriately, and
    debian-installer-utils 1.70 fixes exit code propagation.  I've left the
    comments in place pending testing.
  * Guard against future multiple-CD handling changes in apt.  If multiple
    CDs are inserted then any one can satisfy a media-change request.  We
    don't yet deal with multiple CDs everywhere, but at least we won't break
    when 'apt-cdrom ident' starts returning multiple labels.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Bengali (bn.po) by Israt Jahan
  * German (de.po) by Holger Wansing
  * Finnish (fi.po) by Esko Arajärvi
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Bartosz Fenski
  * Slovenian (sl.po) by Vanja Cvelbar
  * Simplified Chinese (zh_CN.po) by 苏运强

 -- Otavio Salvador <otavio@debian.org>  Mon, 22 Feb 2010 00:00:01 -0300

apt-setup (1:0.43) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.
  * Stop abusing $RET in generators/50mirror for things other than debconf.

  [ Chris Lamb ]
  * Use cdrom-detect/cdrom_fs when remounting the CD to ensure that we do so
    using the same filesystem. Patch by Colin Watson, merged back from Ubuntu.
    Requires cdrom-detect >= 1.32.
  * Don't try and run apt-cdrom for non-ISO9660 "CD-ROMs".

  [ Frans Pop ]
  * Remove no longer needed Lintian override for missing Standards-
    Version field.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Asturian (ast.po) by astur
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Ask Hjorth Larsen
  * Greek, Modern (1453-) (el.po)
  * Estonian (et.po) by Mattias Põldaru
  * Finnish (fi.po) by Esko Arajärvi
  * Galician (gl.po) by Marce Villarino
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Dutch (nl.po) by Frans Pop
  * Russian (ru.po) by Yuri Kozlov
  * Slovenian (sl.po) by Vanja Cvelbar
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Wed, 23 Dec 2009 00:34:42 +0100

apt-setup (1:0.42ubuntu3) lucid; urgency=low

  * Mount /proc, /sys, and /dev in the target system if necessary when
    running apt-cdrom (LP: #527641).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Mar 2010 15:07:27 +0000

apt-setup (1:0.42ubuntu2) lucid; urgency=low

  * Remove Release files for old releases.
  * Backport from trunk:
    - Guard against future multiple-CD handling changes in apt.  If multiple
      CDs are inserted then any one can satisfy a media-change request.  We
      don't yet deal with multiple CDs everywhere, but at least we won't
      break when 'apt-cdrom ident' starts returning multiple labels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Feb 2010 12:41:13 -0800

apt-setup (1:0.42ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Reduce the mirror verification timeout to 10 seconds.
    - Disable the volatile service for Ubuntu, and don't ask the
      apt-setup/services-select question.
    - Always disable the CD at the end of installation if any mirrors are
      present, even if it's a complete CD.
    - Pre-populate apt's lists directory with signed Release files for
      archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
      against downgrade attacks right from initial installation.
    - Run 'apt-get update' for all sources.list lines produced by a single
      generator in one go, and don't comment out sources.list lines if it
      fails.
    - Make the path to security updates configurable, as well as the host.
    - Remove restricted from cdrom entry if apt-setup/restricted is false.
    - Add Release files for intrepid and jaunty.
    - Allow preseeding apt-setup/partner to enable the partner repository.
    - Use cdrom-detect/cdrom_fs when remounting the CD to ensure that we do
      so using the same filesystem.
    - Make sure apt-cdrom doesn't unmount the CD if cd_type ends with
      /single.
    - Enable all network sources, including security updates, even if the
      network is unconfigured.
    - Fix handling of universe and multiverse in -backports lines.
    - Honour apt-setup/restricted, apt-setup/universe, and
      apt-setup/multiverse when writing -backports lines.
    - Check to make sure the CD filesystem is iso9660 before remounting it
      as such.  Do not write a CD identifier if we're not working with
      iso9660 so pkgsel does not try to unmount such disks.
    - Fix description of universe in generated sources.list: packages there
      are expected to be under a free licence.
    - Run 'apt-get update', without downloading package lists or cleaning up
      old files, after moving the sources.list generated during base system
      installation back into place.
    - If OVERRIDE_LEAVE_CD_MOUNTED is set, don't unmount /cdrom; this is a
      bad idea in a live CD environment!
    - Bail out cleanly from cdrom generator if /cdrom/.disk/info doesn't
      exist or has zero size.
    - Re-enable progress bar cancellation.
  * Add Release files for lucid.
  * Increase the mirror verification timeout to 30 seconds, now that this
    operation is cancellable. Some people (hi, Ara) seem to have trouble
    getting mirror responses in 10 seconds.
  * Correctly disable progresscancel on exiting apt-setup (LP: #462005).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 09 Nov 2009 11:46:22 +0000

apt-setup (1:0.42) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Enable universe and multiverse by default for Ubuntu installs.
    - For Ubuntu installs, if either restricted or multiverse is enabled,
      add commented-out lines for the partner archive.
    - Use archive.ubuntu.com as the default source mirror for Ubuntu ports
      architectures.
    - Add apt-setup/proposed question (never asked); if preseeded to true
      for Ubuntu installs, -proposed entries will be added to sources.list
      (LP: #181776).
  * Adjust cancellation comment in apt-setup-verify: in-target preserves
    exit codes as of debian-installer-utils 1.70.
  * Use fetch-url instead of wget in local generator, making it possible to
    use file:// URLs.

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Alvarez Costales
  * German (de.po) by Holger Wansing
  * Esperanto (eo.po) by Felipe Castro
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Hindi (hi.po)
  * Italian (it.po) by Milo Casagrande
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Turkish (tr.po) by Mert Dirik
  * Simplified Chinese (zh_CN.po) by Deng Xiyue

 -- Otavio Salvador <otavio@ossystems.com.br>  Tue, 21 Jul 2009 12:13:34 -0300

apt-setup (1:0.41ubuntu2) karmic; urgency=low

  * Use debconf-apt-progress for our Ubuntu-specific all-in-one-go 'apt-get
    update' run.
  * Re-enable progress bar cancellation. Thanks to debian-installer-utils
    1.70 and fixes in debconf, it all seems to work fine now (LP: #172879).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Oct 2009 23:15:04 +0100

apt-setup (1:0.41ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Enable universe and multiverse by default.
    - If either restricted or multiverse is enabled, add commented-out lines
      for the partner archive.
    - Reduce the mirror verification timeout to 10 seconds.
    - Disable the volatile service for Ubuntu, and don't ask the
      apt-setup/services-select question.
    - Always disable the CD at the end of installation if any mirrors are
      present, even if it's a complete CD.
    - Pre-populate apt's lists directory with signed Release files for
      archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
      against downgrade attacks right from initial installation.
    - Run 'apt-get update' for all sources.list lines produced by a single
      generator in one go, and don't comment out sources.list lines if it
      fails.
    - Make the path to security updates configurable, as well as the host.
    - Remove restricted from cdrom entry if apt-setup/restricted is false.
    - Add Release files for intrepid and jaunty.
    - Allow preseeding apt-setup/partner to enable the partner repository.
    - Use cdrom-detect/cdrom_fs when remounting the CD to ensure that we do
      so using the same filesystem.
    - Make sure apt-cdrom doesn't unmount the CD if cd_type ends with
      /single.
    - Enable all network sources, including security updates, even if the
      network is unconfigured.
    - Fix handling of universe and multiverse in -backports lines.
    - Honour apt-setup/restricted, apt-setup/universe, and
      apt-setup/multiverse when writing -backports lines.
    - Check to make sure the CD filesystem is iso9660 before remounting it
      as such.  Do not write a CD identifier if we're not working with
      iso9660 so pkgsel does not try to unmount such disks.
    - Fix description of universe in generated sources.list: packages there
      are expected to be under a free licence.
    - Run 'apt-get update', without downloading package lists or cleaning up
      old files, after moving the sources.list generated during base system
      installation back into place.
    - If OVERRIDE_LEAVE_CD_MOUNTED is set, don't unmount /cdrom; this is a
      bad idea in a live CD environment!
    - Bail out cleanly from cdrom generator if /cdrom/.disk/info doesn't
      exist or has zero size.
  * Add Release files for karmic.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Jun 2009 18:05:27 +0100

apt-setup (1:0.41) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Make sure to exit services-select generator cleanly if
      apt-setup/services-select is empty.

  [ Updated translations ]
  *  (ast.po) by Marcos Alvarez Costales
  * Bengali (bn.po) by Md. Rezwan Shahid
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by marce villarino
  * Hindi (hi.po) by Kumar Appaiah
  * Italian (it.po) by Milo Casagrande
  * Kazakh (kk.po) by daur88
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Marathi (mr.po) by Sampada
  * Slovak (sk.po) by Ivan Masár
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja

 -- Christian Perrier <bubulle@debian.org>  Thu, 11 Jun 2009 21:31:24 +0200

apt-setup (1:0.40ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Enable universe and multiverse by default.
    - If either restricted or multiverse is enabled, add commented-out lines
      for the partner archive.
    - Reduce the mirror verification timeout to 10 seconds.
    - Disable the volatile service for Ubuntu, and don't ask the
      apt-setup/services-select question.
    - Always disable the CD at the end of installation if any mirrors are
      present, even if it's a complete CD.
    - Pre-populate apt's lists directory with signed Release files for
      archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
      against downgrade attacks right from initial installation.
    - Run 'apt-get update' for all sources.list lines produced by a single
      generator in one go, and don't comment out sources.list lines if it
      fails.
    - Make the path to security updates configurable, as well as the host.
    - Remove restricted from cdrom entry if apt-setup/restricted is false.
    - Add Release files for intrepid and jaunty.
    - Make sure to exit services-select generator cleanly if
      apt-setup/services-select is empty.
    - Allow preseeding apt-setup/partner to enable the partner repository.
    - Use cdrom-detect/cdrom_fs when remounting the CD to ensure that we do
      so using the same filesystem.
    - Make sure apt-cdrom doesn't unmount the CD if cd_type ends with
      /single.
    - Enable all network sources, including security updates, even if the
      network is unconfigured.
    - Fix handling of universe and multiverse in -backports lines.
    - Honour apt-setup/restricted, apt-setup/universe, and
      apt-setup/multiverse when writing -backports lines.
    - Check to make sure the CD filesystem is iso9660 before remounting it
      as such.  Do not write a CD identifier if we're not working with
      iso9660 so pkgsel does not try to unmount such disks.
    - Fix description of universe in generated sources.list: packages there
      are expected to be under a free licence.
    - Run 'apt-get update', without downloading package lists or cleaning up
      old files, after moving the sources.list generated during base system
      installation back into place.
    - If OVERRIDE_LEAVE_CD_MOUNTED is set, don't unmount /cdrom; this is a
      bad idea in a live CD environment!
    - Bail out cleanly from cdrom generator if /cdrom/.disk/info doesn't
      exist or has zero size.
  * Dropped changes, merged in Debian:
    - Initialise local variable 'file' so that apt-setup-verify doesn't get
      excruciatingly confused when you pass file=/path on the kernel command
      line.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 May 2009 06:41:55 -0700

apt-setup (1:0.40) unstable; urgency=low

  [ Colin Watson ]
  * Fix the cdrom generator in the case where log-output is not being used.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Bosnian (bs.po) by Armin Besirovic
  * Welsh (cy.po) by Jonathan Price
  * Danish (da.po)
  * Greek, Modern (1453-) (el.po)
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * French (fr.po) by Christian Perrier
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Peteris Krisjanis
  * Macedonian (mk.po) by Arangel Angov
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Russian (ru.po) by Yuri Kozlov
  * Serbian (sr.po) by Veselin Mijušković
  * Ukrainian (uk.po) by Євгеній Мещеряков
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Deng Xiyue
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 21:46:24 -0300

apt-setup (1:0.38) unstable; urgency=high

  [ Colin Watson ]
  * Initialise local variable 'file' so that apt-setup-verify doesn't get
    excruciatingly confused when you pass file=/path on the kernel command
    line.

  [ Frans Pop ]
  * Fix CD-changing for etch installs. The Etch version of apt-cdrom does not
    always automatically unmount the CD, so we need to do that ourselves.
  * Setting urgency to high as this fix is needed for the etchnhalf netinst.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Italian (it.po) by Milo Casagrande
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Mert Dirik
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Frans Pop <fjp@debian.org>  Mon, 28 Jul 2008 00:44:12 +0200

apt-setup (1:0.37ubuntu11) jaunty; urgency=low

  * Make sure to exit services-select generator cleanly if
    apt-setup/services-select is empty.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Mar 2009 12:03:45 +0000

apt-setup (1:0.37ubuntu10) jaunty; urgency=low

  * Add Release files for jaunty.
  * Allow preseeding apt-setup/partner to enable the partner repository;
    requested by Brian Thomason.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Feb 2009 18:17:19 +0000

apt-setup (1:0.37ubuntu9) jaunty; urgency=low

  * Use cdrom-detect/cdrom_fs when remounting the CD to ensure that we do so
    using the same filesystem.
  * Make sure apt-cdrom doesn't unmount the CD in the first place if cd_type
    ends with /single (LP: #316618).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Jan 2009 15:04:44 +0000

apt-setup (1:0.37ubuntu8) jaunty; urgency=low

  * Remove /var/lib/install-cd.id if cd_type ends with /single, to avoid
    unnecessary problems remounting the CD (LP: #294365).
  * Enable all network sources, including security updates, even if the
    network is unconfigured (LP: #256098).
  * Fix handling of universe and multiverse in -backports lines.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 Jan 2009 15:41:53 +0000

apt-setup (1:0.37ubuntu7) jaunty; urgency=low

  * Honour apt-setup/restricted, apt-setup/universe, and
    apt-setup/multiverse when writing -backports lines (LP: #314462).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 08 Jan 2009 11:46:10 +0000

apt-setup (1:0.37ubuntu6) intrepid; urgency=low

  * Check to make sure the CD filesystem is iso9660 before remounting it
    as such.  Do not write a CD identifier if we're not working with
    iso9660 so pkgsel does not try to unmount such disks.

 -- Evan Dandrea <evand@ubuntu.com>  Mon, 20 Oct 2008 01:58:26 -0400

apt-setup (1:0.37ubuntu5) intrepid; urgency=low

  * Fix description of universe in generated sources.list: packages there
    are expected to be under a free licence.
  * Run 'apt-get update', without downloading package lists or cleaning up
    old files, after moving the sources.list generated during base system
    installation back into place (LP: #267884).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Oct 2008 14:53:36 +0100

apt-setup (1:0.37ubuntu4) intrepid; urgency=low

  * Fix sense of OVERRIDE_BASE_INSTALLABLE test in cdrom generator
    (LP: #264337).
  * If OVERRIDE_LEAVE_CD_MOUNTED is set, don't unmount /cdrom; this is a bad
    idea in a live CD environment!

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 06 Sep 2008 10:47:32 +0100

apt-setup (1:0.37ubuntu3) intrepid; urgency=low

  * Bail out cleanly from cdrom generator if /cdrom/.disk/info doesn't exist
    or has zero size (LP: #245519).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 27 Jul 2008 00:05:58 +0100

apt-setup (1:0.37ubuntu2) intrepid; urgency=low

  * Initialise local variable 'file' so that apt-setup-verify doesn't get
    excruciatingly confused when you pass file=/path on the kernel command
    line.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Jun 2008 18:45:38 +0100

apt-setup (1:0.37ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Enable universe and multiverse by default.
    - If either restricted or multiverse is enabled, add commented-out lines
      for the partner archive.
    - Reduce the mirror verification timeout to 10 seconds.
    - Disable the volatile service for Ubuntu, and don't ask the
      apt-setup/services-select question.
    - Always disable the CD at the end of installation if any mirrors are
      present, even if it's a complete CD.
    - Pre-populate apt's lists directory with signed Release files for
      archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
      against downgrade attacks right from initial installation.
    - Run 'apt-get update' for all sources.list lines produced by a single
      generator in one go, and don't comment out sources.list lines if it
      fails.
    - Make the path to security updates configurable, as well as the host.
    - Remove restricted from cdrom entry if apt-setup/restricted is false.
  * Add Release files for intrepid.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Jun 2008 12:29:09 +0100

apt-setup (1:0.37) unstable; urgency=low

  [ Updated translations ]
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Hungarian (hu.po) by SZERVÁC Attila
  * Marathi (mr.po) by Sampada
  * Dutch (nl.po) by Frans Pop
  * Punjabi (Gurmukhi) (pa.po) by Amanpreet Singh Alam

 -- Otavio Salvador <otavio@debian.org>  Wed, 07 May 2008 23:58:11 -0300

apt-setup (1:0.36) unstable; urgency=low

  * Don't scan the installation CD if it does not include base packages.
  * Because of reported issues with accessing the CD in the /target environment
    if it is already mounted in the D-I environment, base-installer has been
    reverted to loop-mounting the installation CD. In order to still allow
    CD-changing while avoiding these issues and keeping installs idempotent, we
    now need to allow apt-cdrom to manage mounting/unmounting for all types of
    CD images (except for hd-media installs). See: #474346, #475639.
    Requires: base-installer (>= 1.90), pkgsel (>= 0.19), di-utils (>= 1.57).

  [ Updated translations ]
  * Kurdish (ku.po) by Erdal Ronahi
  * Marathi (mr.po)

 -- Frans Pop <fjp@debian.org>  Mon, 28 Apr 2008 07:20:55 +0200

apt-setup (1:0.35) unstable; urgency=low

  * Remove code to work around the fact that base-installer loop-mounted the
    installation CD on /target/cdrom.
    Requires: base-installer (>= 1.89).
  * 90services-select: don't fail if question is skipped. Closes: #466066.

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Basque (eu.po) by Piarres Beobide
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Alam

 -- Frans Pop <fjp@debian.org>  Mon, 24 Mar 2008 23:18:36 +0100

apt-setup (1:0.34) unstable; urgency=low

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Finnish (fi.po) by Esko Arajärvi
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Arief S Fitrianto
  * Central Khmer (km.po) by Khoem Sokhem
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Nepali (ne.po) by Shyam Krishna Bal
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovenian (sl.po) by Matej Kovacic
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po)
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Feb 2008 07:40:58 -0200

apt-setup (1:0.33) unstable; urgency=low

  [ Joey Hess ]
  * Put apt downloading info in the progress bar.
  * Allocate 100 steps on the progress bar for each generator,
    and 100 steps for verifying each generated block.
  * Export PROGRESS_FROM and PROGRESS_TO to generators, giving the
    starting and ending progress bar position for that generator. This can
    be used by generators that need an absolute progress bar position for
    calling debconf-apt-progress.
  * apt-setup-verify: Use debconf-apt-progress and add a way for generators
    to specify how it should advance the progress bar.
  * Allow the progress bar to be canceled.
  * 50mirror: Call choose-mirror -n to avoid trashing the progress bar.
  * Needs debconf 1.5.17.

  [ Frans Pop ]
  * debian/rules: move packaging rules from binary-arch to binary-indep.
  * Adjust templates for mirror use to also cover installation from CD sets.
  * Only ask to use a mirror at low priority if more that 8 CDs or 2 DVDs were
    scanned.
  * Language tasks fit on CD3/DVD1; don't warn about missing packages from
    them unless necessary.
  * Move templates for mirror use linked to installation from CD to apt-cdrom
    as they can only be used when that is installed.
  * Disable option to cancel progress bar as there are issues with it.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Stefano Canepa
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Viesturs Zarins
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Dutch (nl.po) by Frans Pop
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Frans Pop <fjp@debian.org>  Tue, 05 Feb 2008 00:17:21 +0100

apt-setup (1:0.32) unstable; urgency=low

  [ Frans Pop ]
  * Add support for CD/DVD sets during installation:
    - rename generator 50cdrom to 40cdrom to make room for new generator
    - add new generator 41cdset to support scanning additional CD/DVDs
    - add script load-install-cd
    To support CD/DVD changing, the installation CD/DVD needs to be unmounted
    in the D-I environment during package installation, which means that e.g.
    running anna-install to install udebs is no longer possible. Because of
    this components/scripts also need make sure that the installation CD is
    loaded and mounted again after package installation.
    Components/scripts that can install packages in /target after apt-setup
    has been run should either use apt-install, or create the correct
    conditions themselves (as pkgsel does).
    Requires apt (0.7.9) in testing for #448187 and #448521, and requires
    pkgsel (1.16) and di-utils (1.50).
  * Add myself as uploader.

  [ Colin Watson ]
  * Strip 'deb ' from the start of apt-setup/local*/repository, just in case
    somebody copies and pastes from an existing sources.list; see also
    #420894.

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Bartosz Fenski
  * Slovak (sk.po) by Ivan Masár

 -- Frans Pop <fjp@debian.org>  Sun, 06 Jan 2008 20:35:19 +0100

apt-setup (1:0.31ubuntu8) hardy-proposed; urgency=low

  * Remove restricted from cdrom entry if apt-setup/restricted is false
    (LP: #220805).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 May 2008 22:24:39 +0200

apt-setup (1:0.31ubuntu7) hardy; urgency=low

  * Make the path to security updates configurable, as well as the host
    (thanks, Scott Dier; LP: #51470).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 31 Mar 2008 05:31:16 +0100

apt-setup (1:0.31ubuntu6) hardy; urgency=low

  * Don't bother running 'apt-get update' after disabling cdrom entries in
    sources.list; it can be slow and is unnecessary.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 27 Feb 2008 14:11:28 +0000

apt-setup (1:0.31ubuntu5) hardy; urgency=low

  * Run 'apt-get update' for all sources.list lines produced by a single
    generator in one go, and don't comment out sources.list lines if it
    fails (LP: #154095).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Feb 2008 15:15:22 +0000

apt-setup (1:0.31ubuntu4) hardy; urgency=low

  * Use different pre-populated Release files for -proposed, -updates, and
    -backports.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Feb 2008 13:08:23 +0000

apt-setup (1:0.31ubuntu3) hardy; urgency=low

  * Add apt-setup/proposed question (never asked); if preseeded to true,
    -proposed entries will be added to sources.list (LP: #181776).
  * Pre-populate apt's lists directory with signed Release files for
    archive.ubuntu.com (and mirrors) and security.ubuntu.com, to protect
    against downgrade attacks right from initial installation.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 08 Feb 2008 13:01:59 +0000

apt-setup (1:0.31ubuntu2) hardy; urgency=low

  * Fix Debian-style sources.list line that crept back into the security
    generator (thanks, Timo Aaltonen).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Dec 2007 15:49:34 +0000

apt-setup (1:0.31ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when checking
      /cdrom/.disk/base_installable.
    - Enable universe and multiverse by default.
    - If either restricted or multiverse is enabled, add commented-out lines
      for the partner archive.
    - Reduce the mirror verification timeout to 10 seconds.
  * Use archive.ubuntu.com as the default source mirror for ports
    architectures.
  * Disable the volatile service for Ubuntu, and don't ask the
    apt-setup/services-select question.
  * Always disable the CD at the end of installation if any mirrors are
    present, even if it's a complete CD. These days it's more irritating
    than not, and inserting the CD on a desktop system will produce a prompt
    anyway.
  * Default to not using a mirror if the user selected to not configure the
    network in netcfg (copied from Debian mirror generator).
  * Set Vcs-Bzr for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Dec 2007 16:32:52 +0000

apt-setup (1:0.31) unstable; urgency=low

  * Correct inverted test for CD sources, which caused it to skip verification
    of mirrors.

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino Peña

 -- Joey Hess <joeyh@debian.org>  Fri, 02 Nov 2007 13:19:03 -0400

apt-setup (1:0.30) unstable; urgency=low

  [ Frans Pop ]
  * apt-setup-verify: 'apt-get update' does not actually verify CD/DVD
    sources, so skip those.
  * 50cdrom: rewrite error handling as 'apt-get update' does not verify CDs
    but 'apt-cdrom add' will return an error if it fails to identify a CD.

  [ Updated translations ]
  * Belarusian (be.po) by Hleb Rubanau
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Korean (ko.po) by Sunjae Park
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall

 -- Otavio Salvador <otavio@debian.org>  Sat, 27 Oct 2007 11:45:54 -0200

apt-setup (1:0.29) unstable; urgency=low

  [ Frans Pop ]
  * Add back detection if user selected to not configure the network. That
    check is unrelated to the loop discussed in #442891. Closes: #402645.
  * Allow to continue without selecting a mirror when choose-mirror exits
    non-zero. This allows a user to back out of mirror selection in the case
    of a netinst install without a network being available while still
    avoiding the "use a mirror" question for all netinst based installs.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 27 Sep 2007 18:18:15 +0200

apt-setup (1:0.28) unstable; urgency=low

  * Revert detection of unconfigured network in netcfg as it cannot be done
    reliably. Closes: #443831, reopens #402645.

 -- Joey Hess <joeyh@debian.org>  Mon, 24 Sep 2007 14:44:01 -0400

apt-setup (1:0.27) unstable; urgency=low

  * Notice if netcfg was skipped entirely (possibly due to there being no
    network card), or never asked netcfg/dhcp_options, and behave same
    as if the user selected to not configure the network in netcfg.
    Closes: #442891

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Stefano Canepa
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Sep 2007 17:34:55 -0400

apt-setup (1:0.26) unstable; urgency=low

  [ Frans Pop ]
  * Default to not using a mirror if the user selected to not configure the
    network in netcfg. Mirrors for update services are added commented out
    without testing for them. Closes: #402645.

 -- Otavio Salvador <otavio@ossystems.com.br>  Mon, 20 Aug 2007 13:53:50 -0300

apt-setup (1:0.25) unstable; urgency=low

  [ Frans Pop ]
  * Fix inconsistency in template names that causes an error during install.

  [ Updated translations ]
  * Dutch (nl.po) by Bart Cornelis

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 12 Aug 2007 00:06:07 +0200

apt-setup (1:0.24) unstable; urgency=low

  [ Frans Pop ]
  * Remove old isinstallable file that was for sarge, we don't support sarge
    installs anymore.
  * Add support for updates from volatile.debian.org.
  * Allow the user to select whether to add security and/or volatile updates.
    The question is only asked at medium or low priority. Closes: #401432.
  * For CD installs, ask more selectively whether to use a mirror or not. The
    question is still mostly asked as even on DVDs some packages belonging to
    tasks may be missing on the first image.
    - businesscard: mirror will always be used
    - netinst: default to true, ask only at medium priority
    - full CD: default to true, ask at high priority
    - DVD: default to false, ask at high priority
    An explanation is displayed that is tailored to the type of CD image.
  * Disable netinst CD image in sources.list in target before reboot if other
    sources are present. Closes: #379067.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Jamil Ahmed
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Japanese (ja.po) by Kenshi Muto
  * Nepali (ne.po) by Nabin Gautam
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Otavio Salvador <otavio@debian.org>  Fri, 10 Aug 2007 17:32:29 -0300

apt-setup (1:0.23) unstable; urgency=low

  [ Otavio Salvador ]
  * Replace 'base-installer' dependency by 'installed-base' virtual
    package. Needs base-installer 1.81.

 -- Joey Hess <joeyh@debian.org>  Mon, 18 Jun 2007 22:15:29 +0100

apt-setup (1:0.22) unstable; urgency=low

  * 50mirror: default suite to codename, similar to what we already do for
    network-based installs; choose-mirror will determine the actual suite
    from the codename. Closes: #422442.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Piarres Beobide
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Mon, 21 May 2007 16:15:02 +0200

apt-setup (1:0.21ubuntu4) gutsy; urgency=low

  * Always verify the mirror, though with a shorter timeout than before (10
    seconds). If we don't, then 'apt-get update' isn't called to download
    indices, which means we are never able to download language packs from
    the network.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Oct 2007 18:16:15 +0100

apt-setup (1:0.21ubuntu3) gutsy; urgency=low

  * Rename the 'commercial' component to 'partner'.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Sep 2007 18:10:33 +0100

apt-setup (1:0.21ubuntu2) gutsy; urgency=low

  * If either restricted or multiverse is enabled, add commented-out lines
    for the commercial component (LP: #118002).
  * Add -updates for universe and multiverse, if enabled.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 02 Aug 2007 11:20:05 +0100

apt-setup (1:0.21ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted, universe, and multiverse,
      commented out unless the respective components are enabled. Disable
      security generator checks for contrib and non-free.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when deciding whether to run
      choose-mirror.
    - Don't bother validating network mirrors if the base system can be
      installed from CD; apt's failure mode is sufficiently graceful
      nowadays that we can let the user sort out problems after
      installation.
    - Enable universe and multiverse by default.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 29 Apr 2007 16:25:30 +0100

apt-setup (1:0.21) unstable; urgency=low

  * Multiply menu-item-numbers by 100.

  [ Updated translations ]
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Piarres Beobide
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2007 14:26:40 -0400

apt-setup (1:0.20) unstable; urgency=low

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen A

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 16:37:56 +0100

apt-setup (1:0.19) unstable; urgency=low

  [ Joey Hess ]
  * Improve regexp in 90security to not misfire if the mirror's name or path
    contains "contrib" or "non-free".

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan

 -- Frans Pop <fjp@debian.org>  Tue, 13 Feb 2007 23:23:00 +0100

apt-setup (1:0.18) unstable; urgency=low

  [ Updated translations ]
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 11:18:40 +0100

apt-setup (1:0.17) unstable; urgency=low

  [ Christian Perrier ]
  * Fix error in French translation. Closes: #400715.

  [ Frans Pop ]
  * Make wget respect proxy servers defined for local sources. Based on a
    patch suggested by John Morrissey, for which thanks. Closes: #408297.
  * Use log-output for commands that produce output if run in the installer.
  * Consistently use http protocol when setting up security archive (ftp
    reguires a different mirror directory and is thus not easy to support).
  * Reduce timeout for testing security mirrors to 30 seconds. As security.d.o
    currently has 3 IP addresses listed, and these are tried consecutively, the
    total timeout will be 1.5 minutes (was 6 minutes). Closes: #393033.
  * apt-setup-verify: reset IFS to avoid problems with option processing.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Hebrew (he.po) by Lior Kaplan
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Recai Oktaş

 -- Frans Pop <fjp@debian.org>  Mon, 29 Jan 2007 21:43:32 +0100

apt-setup (1:0.16ubuntu4) feisty; urgency=low

  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 Feb 2007 09:07:04 +0000

apt-setup (1:0.16ubuntu3) feisty; urgency=low

  * generators/90security: Add security sources for multiverse, commented
    out unless multiverse is enabled (thanks, Timo Aaltonen; LP: #55509).
  * debian/apt-mirror-setup.templates-ubuntu: Enable universe and multiverse
    by default
    (https://blueprints.launchpad.net/ubuntu/+spec/enabling-additional-components).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  8 Feb 2007 14:19:38 +0000

apt-setup (1:0.16ubuntu2) feisty; urgency=low

  * generators/90security: Disable check for contrib and non-free
    (LP: #56009).
  * generators/50mirror.ubuntu: Link to
    http://help.ubuntu.com/community/UpgradeNotes for upgrade instructions
    (LP: #69094).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Dec 2006 15:06:11 +0000

apt-setup (1:0.16ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Install the Ubuntu mirror generator instead of Debian's.
    - Set apt-setup/security_host to security.ubuntu.com, or
      ports.ubuntu.com on ports architectures; adjust directory and
      distribution to match.
    - Add security sources for restricted and universe, commented out unless
      the respective components are enabled.
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.
    - Honour OVERRIDE_BASE_INSTALLABLE when deciding whether to run
      choose-mirror.
    - Don't bother validating network mirrors if the base system can be
      installed from CD; apt's failure mode is sufficiently graceful
      nowadays that we can let the user sort out problems after
      installation.
  * Allow back up from use network mirror question in Ubuntu mirror
    generator.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 31 Oct 2006 15:23:58 +0000

apt-setup (1:0.16) unstable; urgency=low

  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Andrei Darashenka
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Stefano Canepa
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Tamil (ta.po) by Damodharan Rajalingam
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 13:48:32 +0200

apt-setup (1:0.15) unstable; urgency=low

  * Fix broken proxy setting code in 90security. Closes: #378868
    Some systems installed before this fix will have Acquire::http::proxy "false"
    set in apt.conf, which leads to breakage in some situations. Also, if a
    proxy was set, it would not be written to the file.

 -- Joey Hess <joeyh@debian.org>  Thu, 17 Aug 2006 17:45:07 -0400

apt-setup (1:0.14) unstable; urgency=low

  * Make apt-setup idempotent by removing workfile on back up.
  * Allow back up from use network mirror question.
  * Make apt-setup-verify responsible for blank lines between sources lines
    from different generators.
  * Add Lintian override for standards-version.
  * Add missing dependencies on debconf.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Icelandic (is.po) by David Steinn Geirsson
  * Dutch (nl.po) by Bart Cornelis
  * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Tue, 15 Aug 2006 02:22:07 +0200

apt-setup (1:0.13) unstable; urgency=low

  [ Colin Watson ]
  * Only use RET in security generator for data returned from debconf, to
    avoid confusion.
  * Fix mirror generators not to break if apt-setup/use_mirror isn't asked.

  [ Updated translations ]
  * Finnish (fi.po) by Tapio Lehtonen
  * Panjabi (pa.po) by A S Alam
  * Tagalog (tl.po) by Eric Pareja

 -- Frans Pop <fjp@debian.org>  Tue, 25 Jul 2006 13:01:56 +0200

apt-setup (1:0.12) unstable; urgency=low

  [ Colin Watson ]
  * Port mirror generator changes from 1:0.11 to Ubuntu mirror generator.

  [ Updated translations ]
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Estonian (et.po) by Siim Põder
  * Hungarian (hu.po) by SZERVÑC Attila
  * Macedonian (mk.po) by Georgi Stanojevski
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Polish (pl.po) by Bartosz Fenski
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Frans Pop <fjp@debian.org>  Thu, 13 Jul 2006 17:11:34 +0200

apt-setup (1:0.11ubuntu5) edgy; urgency=low

  * Don't bother validating network mirrors if the base system can be
    installed from CD; apt's failure mode is sufficiently graceful nowadays
    that we can let the user sort out problems after installation (closes:
    Malone #14599, #35364).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Oct 2006 18:47:47 +0100

apt-setup (1:0.11ubuntu4) edgy; urgency=low

  * Backport from trunk (Joey Hess):
    - Fix broken proxy setting code in 90security. Closes: #378868
      Some systems installed before this fix will have Acquire::http::proxy
      "false" set in apt.conf, which leads to breakage in some situations.
      Also, if a proxy was set, it would not be written to the file.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 30 Aug 2006 12:16:36 +0100

apt-setup (1:0.11ubuntu3) edgy; urgency=low

  * Honour OVERRIDE_BASE_INSTALLABLE when deciding whether to run
    choose-mirror.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Jul 2006 11:48:27 +0100

apt-setup (1:0.11ubuntu2) edgy; urgency=low

  * Fix mirror generators not to break if apt-setup/use_mirror isn't asked.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Jul 2006 07:56:44 +0100

apt-setup (1:0.11ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.
  * Port mirror generator changes from 1:0.11 to Ubuntu mirror generator.
  * Put base-installer dependency back to 1.49.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Jun 2006 12:46:49 +0100

apt-setup (1:0.11) unstable; urgency=low

  [ Frans Pop ]
  * Make the use of a network mirror optional if the base system is
    installable from CD.

  [ Colin Watson ]
  * Set $protocol in security generator so that proxy configuration works.

  [ Joey Hess ]
  * Move mirror use prompt code into mirror generator.
  * Run choose-mirror with new -n switch so it does not mess with the existing
    progress bar.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bengali (bn.po) by Progga
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po)
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÑC Attila
  * Italian (it.po) by Stefano Canepa
  * Japanese (ja.po) by Kenshi Muto
  * Georgian (ka.po) by Aiet Kolkhi
  * Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Nepali (ne.po) by Shiva Pokharel
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Jun 2006 13:54:54 -0400

apt-setup (1:0.10ubuntu2) dapper; urgency=low

  * Backport from trunk:
    - Set $protocol in security generator so that proxy configuration works.
  * Use ports.ubuntu.com instead of security.ubuntu.com on ports
    architectures (closes: Malone #39342).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 May 2006 00:15:34 +0100

apt-setup (1:0.10ubuntu1) dapper; urgency=low

  * Resynchronise with Debian (UVF exception approved by mdz).
  * Drop base-installer dependency to 1.42ubuntu11 for
    --ignore-time-conflict removal.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Apr 2006 19:15:24 +0100

apt-setup (1:0.10) unstable; urgency=low

  [ Frans Pop ]
  * When the security mirror cannot be reached, do not apt-setup-verify the
    source lines again. This saves having to wait for two DNS timeouts.

  [ Colin Watson ]
  * Add multiverse component support to Ubuntu mirror generator (thanks,
    Timo Aaltonen; closes: https://launchpad.net/bugs/29646).

  [ Joey Hess ]
  * Use cdrom/codename if mirror/codename is empty; part of the cdrom/codename
    split.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Ognyan Kulev
  * Bosnian (bs.po) by Safir Secerovic
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Sonam Rinchen
  * Esperanto (eo.po) by Serge Leblanc
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hungarian (hu.po) by SZERVÑC Attila
  * Italian (it.po) by Stefano Canepa
  * Japanese (ja.po) by Kenshi Muto
  * Khmer (km.po) by Leang Chumsoben
  * Macedonian (mk.po) by Georgi Stanojevski
  * Dutch (nl.po) by Bart Cornelis
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Frans Pop <fjp@debian.org>  Wed, 19 Apr 2006 19:43:31 +0200

apt-setup (1:0.9) unstable; urgency=low

  * If no mirror hostname or directory are configured, avoid asking non-free
    question or trying to set up a mirror. Useful for cases such as full CD
    installs, where the user might choose to skip setting up a mirror.

 -- Joey Hess <joeyh@debian.org>  Fri,  7 Apr 2006 17:39:58 -0400

apt-setup (1:0.8) unstable; urgency=low

  * Add support for preseeding local archives to be appended to
    sources.list, based on a patch by Timo Aaltonen (closes: #348509).

  [ Updated translations ]
  * German (de.po) by Jens Seidel
  * Irish (ga.po) by Kevin Patrick Scannell
  * Khmer (km.po) by hok kakada

 -- Colin Watson <cjwatson@debian.org>  Tue, 28 Mar 2006 17:14:50 +0100

apt-setup (1:0.7) unstable; urgency=low

  [ Joey Hess ]
  * Remove --ignore-time-conflict settings, set globally for the installer
    by base-installer 1.49.

  [ Frans Pop ]
  * Add isinstallable file to skip apt setup when installing Sarge.

  [ Updated translations ]
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Welsh (cy.po) by Dafydd Harries
  * Basque (eu.po) by Piarres Beobide
  * Hindi (hi.po) by Nishant Sharma
  * Khmer (km.po) by hok kakada
  * Slovak (sk.po) by Peter Mann
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Mon, 20 Mar 2006 18:30:54 +0100

apt-setup (1:0.6) unstable; urgency=low

  [ Joey Hess ]
  * Ignore time conflicts when running apt-get update, should fix later apt
    brokenness for systems with clock issues.

  [ Updated translations ]
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * Hungarian (hu.po) by SZERVÑC Attila
  * Polish (pl.po) by Bartosz Fenski
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Matej Kovačič
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 12 Feb 2006 18:18:48 +0000

apt-setup (1:0.5) unstable; urgency=low

  [ Colin Watson ]
  * Fix reversed logic for universe and backports in Ubuntu mirror
    generator.
  * Fix comment typo in Ubuntu mirror generator.

  [ Frans Pop ]
  * Change menu title to fit in better with rest of menu.

  [ Updated translations ]
  * Bulgarian (bg.po) by Ognyan Kulev
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Indonesian (id.po) by Parlin Imanuel Toh
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Punjabi (India) (pa_IN.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Ming Hua
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Mon, 23 Jan 2006 21:23:37 +0100

apt-setup (1:0.4ubuntu6) dapper; urgency=low

  * Make sure to move our sources.list aside only for CD installs, not
    netboot, and log a message when we do so (closes: Malone #28462).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jan 2006 11:00:40 +0000

apt-setup (1:0.4ubuntu5) dapper; urgency=low

  * Fix comment typo in Ubuntu mirror generator (closes: Malone #29231).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Jan 2006 15:14:17 +0000

apt-setup (1:0.4ubuntu4) dapper; urgency=low

  * https://bugzilla.ubuntu.com/show_bug.cgi?id=6390 returned with the
    rewritten apt-setup. Apply this change from the previous implementation,
    since it turns out to still be relevant:
    - For CD installs, leave the sources.list created by apt-setup in
      /etc/apt/sources.list.apt-setup, and restore the sources.list created
      during base installation for the rest of the installation.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Dec 2005 19:34:13 +0000

apt-setup (1:0.4ubuntu3) dapper; urgency=low

  * Add security sources for restricted and universe, commented out unless
    the respective components are enabled.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  9 Dec 2005 12:38:55 +0000

apt-setup (1:0.4ubuntu2) dapper; urgency=low

  * Backport from trunk:
    - Fix reversed logic for universe and backports in Ubuntu mirror
      generator.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  9 Dec 2005 12:32:28 +0000

apt-setup (1:0.4ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  9 Dec 2005 12:21:17 +0000

apt-setup (1:0.4) unstable; urgency=low

  [ Frans Pop ]
  * Use the codename for the release in sources.list instead of the suite.
    Requires: cdrom-detect >=1.11; choose-mirror >=1.16; iso-scan >=1.10.
    Closes: #313235

  [ Colin Watson ]
  * Make apt-setup-verify preserve blank lines.
  * Avoid double slashes in sources.list mirror lines.

 -- Colin Watson <cjwatson@debian.org>  Fri,  9 Dec 2005 12:09:30 +0000

apt-setup (1:0.3) unstable; urgency=low

  * Yet another case of an upload needed to update code to match a value from
    a choices list that was changed by someone without checking for the code
    that dependned on that value.

  [ Updated translations ]
  * Danish (da.po) by Claus Hindsgaul
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Dutch (nl.po) by Bart Cornelis
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Tagalog (tl.po) by Eric Pareja
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Dec 2005 19:40:39 -0500

apt-setup (1:0.2ubuntu3) dapper; urgency=low

  * Include debian/apt-mirror-setup.templates-ubuntu in output
    apt-mirror-setup templates file.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  1 Dec 2005 14:16:11 +0000

apt-setup (1:0.2ubuntu2) dapper; urgency=low

  * Fix sources.list entries for Ubuntu security.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Nov 2005 14:29:25 +0000

apt-setup (1:0.2ubuntu1) dapper; urgency=low

  * Install the Ubuntu mirror generator instead of Debian's.
  * Set apt-setup/security_host to security.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 20 Nov 2005 15:46:19 +0000

apt-setup (1:0.2) unstable; urgency=low

  [ Colin Watson ]
  * Add strings for Ubuntu mirror generator to translation infrastructure,
    per http://lists.debian.org/debian-boot/2005/10/msg01407.html and
    followups.
  * Clarify apt-setup/universe description a bit.

  [ Joey Hess ]
  * If setting up a mirror fails, allow the user to retry or change their
    mirror.
  * If setting up a CD fails, let the user know there was a problem instead of
    quietly continuing without a main apt source.
  * Add a comment before commented out lines to make clear why they are
    commented out.

  [ Christian Perrier ]
  * Break Choices in single components in templates

  [ Updated translations ]
  * Bulgarian (bg.po) by Ognyan Kulev
  * Bengali (bn.po) by Baishampayan Ghose
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hindi (hi.po) by Nishant Sharma
  * Icelandic (is.po) by David Steinn Geirsson
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Nov 2005 17:31:02 -0500

apt-setup (1:0.1) unstable; urgency=low

  [ Joey Hess ]
  * First release as a udeb broken out from base-config and rewritten.

  * This means that apt mirror config uses d-i's mirror configs automatically.
    Closes: #220269, #252121, #235980, #251007
  * Issues with /dev/cdrom symlinks no longer apply, since that's taken
    care of by d-i. Closes: #198759, #264375, #274615
  * Issues with CD eject buttons no longer apply, since well, it currently
    only supports loading in one CD. Closes: #215639, #215639, #240331
    Closes: #333513
    (TODO item exists for multiple CDs tho).
  * Runs in the first stage so no issues with it running again and eating
    configured sources or wanting to clear proxy settings.
    Closes: #229048, #196625
  * Will deal nicely with failure to reach security.debian.org.
    Closes: #251413
  * You can enter a mirror manually in choose-mirror and entry proxy info too.
    Closes: #277481, #284794
  * CD stuff works ok in noninteractive/preseeded modes. Closes: #282356
  * Adds deb-src lines for everything, including security updates.
    Closes: #269154.

  [ Colin Watson ]
  * Various small fixes.
  * Call the main package apt-setup-udeb to allow for apt-setup.deb in the
    future.
  * Add translation infrastructure.
  * Set epoch to supersede the base-config-based apt-setup-udeb in Ubuntu.
  * Don't bother looking for security updates for unstable.
  * Strip everything after the first dot from generator names when
    constructing progress template names, to allow writing variants of a
    generator with the same basic purpose as the original.
  * Initial untested mirror generator for Ubuntu. Not added to translation
    infrastructure yet, although the templates are there.

 -- Joey Hess <joeyh@debian.org>  Thu, 27 Oct 2005 18:29:39 -0400

